<?php
class AuditTrailTable
{
	var $logTableName="";
	var $params;

	var $strLogin="login";
	var $strFailLogin="failed login";
	var $strLogout="logout";
	var $strChPass="change password";
	var $strAdd="add";
	var $strEdit="edit";
	var $strDelete="delete";
	var $strAccess="access";
	var $strKeysHeader="---Keys";
	var $strFieldsHeader="---Fields";
	var $columnDate="Date";
	var $columnTime="Time";
	var $columnIP="IP";
	var $columnUser="User";
	var $columnTable="Table";
	var $columnAction="Action";
	var $columnKey="Key field";
	var $columnField="Field";
	var $columnOldValue="Old value";
	var $columnNewValue="New value";
	var $attLogin=0;
	var $timeLogin=0;
	var $maxFieldLength;

	/**
	 * @type Connection
	 */
	protected $connection;

	function __construct()
	{
		global $cman;
		global $auditMaxFieldLength;

		$this->connection = $cman->getForAudit();
		$userid="";
		if(@$_SESSION["UserID"])
			$userid=$_SESSION["UserID"];

		$this->params=array($_SERVER["REMOTE_ADDR"],$userid);

		$this->maxFieldLength = $auditMaxFieldLength;
	}

    function LogLogin($pUsername)
    {
    }

    function LogLoginFailed($pUsername)
    {
    }

    function LogLogout()
    {
    }

    function LogChPassword( $username )
    {
    }

    function LogAdd($str_table,$values,$keys)
    {
		global $globalEvents;
		$retval=true;
		$table=$str_table;
		$pSet = new ProjectSettings($str_table);
		$arr=array();
		if($globalEvents->exists("OnAuditLog"))
			$retval=$globalEvents->OnAuditLog($this->strAdd, $this->params, $table, $keys, $values, $arr);
		if($retval)
		{
			$str="";
			if(count($keys)>0)
			{
				$str.=$this->strKeysHeader."\r\n";
				foreach($keys as $idx=>$val)
					$str.=$idx." : ".$val."\r\n";
			}
			$strFields="";
			if($this->logValueEnable($str_table))
			{
				foreach($values as $idx=>$val)
				{
					if($val!="" && !array_key_exists($idx,$keys))
					{
						$strFields.=$idx." [new]: ";
						if(IsBinaryType($pSet->getFieldType($idx)))
							$v="<binary value>";
						else
						{
							$v = str_replace(array("\r\n","\n","\t")," ",$val);
							$v = $this->getMaxLengthSubstr( $v );
						}
						$strFields.=$v."\r\n";
					}
				}
			}
			if($strFields!="")
				$str.=$this->strFieldsHeader."\r\n".$strFields;

			$this->insert(now(), $this->params[0], $this->params[1], $str_table, $this->strAdd, $str);
		}
		return $retval;
    }

    function LogEdit($str_table,$newvalues,$oldvalues,$keys)
    {
		global $globalEvents;
		$retval=true;
		$table=$str_table;
		$pSet = new ProjectSettings($str_table);
		if($globalEvents->exists("OnAuditLog"))
			$retval=$globalEvents->OnAuditLog($this->strEdit, $this->params, $table, $keys, $newvalues, $oldvalues);
		if($retval)
		{
			$str="";
			if(count($keys)>0)
			{
				$str.=$this->strKeysHeader."\r\n";
				foreach($newvalues as $idx=>$val)
				{
					if(array_key_exists($idx,$keys))
					{
						if($val!=$oldvalues[$idx])
						{
							$str.=$idx." [old]: ".$oldvalues[$idx]."\r\n";
							$str.=$idx." [new]: ".$val."\r\n";
						}
						else
							$str.=$idx." : ".$val."\r\n";
					}
				}
			}
			$strFields="";
			if($this->logValueEnable($str_table))
			{
				$v="";
				foreach($newvalues as $idx=>$val)
				{
					$type=$pSet->getFieldType($idx);
					if(IsBinaryType($type))
						continue;
					if(IsDateFieldType($type))
					{
						$newvalue=format_datetime_custom(db2time($newvalues[$idx]),"yyyy-MM-dd HH:mm:ss");
						$oldvalue=format_datetime_custom(db2time($oldvalues[$idx]),"yyyy-MM-dd HH:mm:ss");
					}
					else
					{
						$newvalue=$newvalues[$idx];
						$oldvalue=$oldvalues[$idx];
					}
					if($newvalue!=$oldvalue && !array_key_exists($idx,$keys))
					{
						$strFields.=$idx." [old]: ";
						if(IsBinaryType($type))
							$v="<binary value>";
						else
						{
							$v = str_replace(array("\r\n","\n","\t")," ",$oldvalue);
							$v = $this->getMaxLengthSubstr( $v );
						}
						$strFields.=$v."\r\n";

						$strFields.=$idx." [new]: ";
						if(IsBinaryType($type))
							$v="<binary value>";
						else
						{
							$v = str_replace(array("\r\n","\n","\t")," ",$newvalue);
							$v = $this->getMaxLengthSubstr( $v );
						}
						$strFields.=$v."\r\n";
					}
				}
				$v="";
			}
			if($strFields!="")
				$str.=$this->strFieldsHeader."\r\n".$strFields;

			$this->insert(now(), $this->params[0], $this->params[1], $str_table, $this->strEdit, $str);
		}
		return $retval;
    }

    function LogDelete($str_table,$values,$keys)
    {
		global $globalEvents;
		$retval=true;
		$table=$str_table;
		$pSet = new ProjectSettings($str_table);
		$arr=array();
		if($globalEvents->exists("OnAuditLog"))
			$retval=$globalEvents->OnAuditLog($this->strDelete, $this->params, $table, $keys, $values, $arr);
		if($retval)
		{
			$str="";
			if(count($keys)>0)
			{
				$str.=$this->strKeysHeader."\r\n";
				foreach($keys as $idx=>$val)
					$str.=$idx." : ".$val."\r\n";
			}
			$strFields="";
			if($this->logValueEnable($str_table))
			{
				$v="";
				foreach($values as $idx=>$val)
				{
					if($val!="" && !array_key_exists($idx,$keys))
					{
						$strFields.=$idx." [old]: ";
						if(IsBinaryType($pSet->getFieldType($idx)))
							$v="<binary value>";
						else
						{
							$v = str_replace(array("\r\n","\n","\t")," ",$val);
							$v = $this->getMaxLengthSubstr( $v );
						}
						$strFields.=$v."\r\n";
					}
				}
			}
			if($strFields!="")
				$str.=$this->strFieldsHeader."\r\n".$strFields;

			$this->insert(now(), $this->params[0], $this->params[1], $str_table, $this->strDelete, $str);
		}
		return $retval;
    }

    function LogAddEvent($message,$description="",$stable="")
    {
		global $globalEvents;
		$retval=true;
		$table=$stable;
		$arr=array();
		if($globalEvents->exists("OnAuditLog"))
			$retval=$globalEvents->OnAuditLog($message, $this->params, $table, $keys, $values, $arr);
		if($retval)
		{
			$this->insert(now(), $this->params[0], $this->params[1], $stable, $message, $description);
		}
		return $retval;
    }

    function LoginSuccessful()
    {
		if($this->attLogin>0 && $this->timeLogin>0)
		{
			$where = $this->connection->addFieldWrappers("ip"). "=" .$this->connection->prepareString($_SERVER["REMOTE_ADDR"]).
				" AND " .$this->connection->addFieldWrappers("action"). "=" .$this->connection->prepareString($this->strAccess);
			$sql = "DELETE FROM " .$this->connection->addTableWrappers( $this->logTableName ). " WHERE " .$where;

			$this->connection->exec( $sql );
		}

    }

    function LoginUnsuccessful($pUsername)
    {
		if($this->attLogin>0 && $this->timeLogin>0)
		{
			$this->insert(now(), $_SERVER["REMOTE_ADDR"], $pUsername, "", $this->strAccess, "");
		}
    }

	function LoginAccess()
	{
		if( $this->attLogin > 0 && $this->timeLogin > 0 )
		{
			$where = $this->connection->addFieldWrappers("ip"). "=" .$this->connection->prepareString($_SERVER["REMOTE_ADDR"]).
				" AND " .$this->connection->addFieldWrappers("action"). "=".$this->connection->prepareString("access");
			$orderBy = $this->connection->addFieldWrappers("id")." asc";
			$sql = "SELECT * FROM " .$this->connection->addTableWrappers( $this->logTableName ). " WHERE " .$where. " ORDER BY " .$orderBy;

			$qResult = $this->connection->query( $sql );

			$i = 0;
			while( $data = $qResult->fetchAssoc() )
			{
				if( secondsPassedFrom($data["datetime"]) / 60 <= $this->timeLogin )
				{
					if($i==0)
						$firstAccess=$data["datetime"];
					$i+=1;
				}
			}

			if( $i >= $this->attLogin )
				return ceil($this->timeLogin-secondsPassedFrom($firstAccess) / 60);
		}

		return false;
	}

	function logValueEnable($table)
	{
		if($table=="articles")
		{
			return false;
		}
		if($table=="famille")
		{
			return false;
		}
		if($table=="fournisseur")
		{
			return false;
		}
		if($table=="unite")
		{
			return false;
		}
		if($table=="client")
		{
			return false;
		}
		if($table=="ligne_vente")
		{
			return false;
		}
		if($table=="vente")
		{
			return false;
		}
		if($table=="stocks")
		{
			return false;
		}
		if($table=="mouvement_stock")
		{
			return false;
		}
		if($table=="req")
		{
			return false;
		}
		if($table=="achat")
		{
			return false;
		}
		if($table=="utilisateur")
		{
			return false;
		}
		if($table=="groupe")
		{
			return false;
		}
		if($table=="ligne_achat")
		{
			return false;
		}
		if($table=="magasin")
		{
			return false;
		}
		if($table=="transfert")
		{
			return false;
		}
		if($table=="ligne_transfert")
		{
			return false;
		}
		if($table=="MesArticlesEnStock")
		{
			return false;
		}
		if($table=="transfert_envoye")
		{
			return false;
		}
		if($table=="transfert_recu")
		{
			return false;
		}
		if($table=="transfert_mag")
		{
			return false;
		}
		if($table=="ligne_transfert_mag")
		{
			return false;
		}
		if($table=="vue_articles")
		{
			return false;
		}
		if($table=="mon_profil")
		{
			return false;
		}
		if($table=="les_transferts")
		{
			return false;
		}
		if($table=="caisse")
		{
			return false;
		}
		if($table=="commercant")
		{
			return false;
		}
		if($table=="vue_groupe_user")
		{
			return false;
		}
		if($table=="vue_utilisateur")
		{
			return false;
		}
		if($table=="vue_magasin")
		{
			return false;
		}
		if($table=="mes_ventes")
		{
			return false;
		}
		if($table=="Rapport_Vente_Magasin")
		{
			return false;
		}
		if($table=="Rapport_Vente_Direction")
		{
			return false;
		}
		if($table=="mvt_stock")
		{
			return false;
		}
		if($table=="Rapport_VenteJour")
		{
			return false;
		}
		if($table=="vue_client")
		{
			return false;
		}
		if($table=="hisconnex")
		{
			return false;
		}
		if($table=="utilisateur_admin")
		{
			return false;
		}
		if($table=="utilisateur_concept")
		{
			return false;
		}
		if($table=="imputation")
		{
			return false;
		}
		if($table=="Rapport_stock_autre_Mag")
		{
			return false;
		}
		if($table=="Rapport_stock_All_Mag")
		{
			return false;
		}
		if($table=="articles_et_stock")
		{
			return false;
		}
		if($table=="classement_client_montant")
		{
			return false;
		}
		if($table=="codebarre")
		{
			return false;
		}
		if($table=="codebarre_mag")
		{
			return false;
		}
		if($table=="codebarre_dir")
		{
			return false;
		}
		if($table=="serveuremail")
		{
			return false;
		}
		if($table=="facture_client")
		{
			return false;
		}
		if($table=="articles_et_stock_mag")
		{
			return false;
		}
		if($table=="ligne_vente_mag")
		{
			return false;
		}
		if($table=="vente_mag")
		{
			return false;
		}
		if($table=="stock_et_prix_mag")
		{
			return false;
		}
		if($table=="stock_prix_direction")
		{
			return false;
		}
		if($table=="client_mag")
		{
			return false;
		}
		if($table=="Dash_Treso")
		{
			return false;
		}
		if($table=="test_req")
		{
			return false;
		}
		if($table=="classement_client_fact")
		{
			return false;
		}
		if($table=="facture_client_fidele")
		{
			return false;
		}
		if($table=="Dash_Classement clients")
		{
			return false;
		}
		if($table=="Dash_Classement clients_commercial")
		{
			return false;
		}
		if($table=="sousfamille")
		{
			return false;
		}
		if($table=="liste_articles_stock")
		{
			return false;
		}
		if($table=="detail_liste_articles")
		{
			return false;
		}
		if($table=="sousfamille_mag")
		{
			return false;
		}
		if($table=="entree_en_stock")
		{
			return false;
		}
		if($table=="sortie_de_stock")
		{
			return false;
		}
		if($table=="les_articles_achetes")
		{
			return false;
		}
		if($table=="les_articles_vendus")
		{
			return false;
		}
		if($table=="inventaire")
		{
			return false;
		}
		if($table=="ligne_inventaire")
		{
			return false;
		}
		if($table=="liste_inventaire")
		{
			return false;
		}
		if($table=="liste_inventaire_editee")
		{
			return false;
		}
		if($table=="validation_liste_inventaire_editee")
		{
			return false;
		}
		if($table=="validation_inventaire")
		{
			return false;
		}
		if($table=="marque")
		{
			return false;
		}
	}

	protected function insert($datetime, $ip, $user, $table, $action, $description)
	{
		$sql = "INSERT INTO " .$this->connection->addTableWrappers( $this->logTableName ).
			" (" .$this->connection->addFieldWrappers("datetime").
			"," .$this->connection->addFieldWrappers("ip").
			"," .$this->connection->addFieldWrappers("user").
			"," .$this->connection->addFieldWrappers("table").
			"," .$this->connection->addFieldWrappers("action").
			"," .$this->connection->addFieldWrappers("description").
			") VALUES (" .$this->connection->addDateQuotes($datetime).
			"," .$this->connection->prepareString($ip).
			"," .$this->connection->prepareString($user).
			"," .$this->connection->prepareString($table).
			"," .$this->connection->prepareString($action).
			"," .$this->connection->prepareString($description).
			")";

		return $this->connection->exec( $sql );
	}

	protected function getMaxLengthSubstr( $value )
	{
		if( $this->maxFieldLength && strlen($value) > $this->maxFieldLength )
			return runner_substr($value, 0, $this->maxFieldLength);

		return $value;
	}
}

class AuditTrailFile
{
	var $logfile="audit.log";
	var $strLogin="login";
	var $strFailLogin="failed login";
	var $strLogout="logout";
	var $strChPass="change password";
	var $strAdd="add";
	var $strEdit="edit";
	var $strDelete="delete";
	var $strAccess="access";
	var $strKeysHeader="---Keys";
	var $strFieldsHeader="---Fields";
	var $columnDate="Date";
	var $columnTime="Time";
	var $columnIP="IP";
	var $columnUser="User";
	var $columnTable="Table";
	var $columnAction="Action";
	var $columnKey="Key field";
	var $columnField="Field";
	var $columnOldValue="Old value";
	var $columnNewValue="New value";
	var $params;
	var $maxFieldLength;

	function __construct()
	{
		global $auditMaxFieldLength;

		$userid = "";
		if(@$_SESSION["UserID"])
			$userid = $_SESSION["UserID"];

		$this->params = array($_SERVER["REMOTE_ADDR"], $userid);

		$this->maxFieldLength = $auditMaxFieldLength;
	}

    function LogLogin($pUsername)
    {
		    }

    function LogLoginFailed($pUsername)
    {
		    }

    function LogLogout()
    {
    }

    function LogChPassword( $username )
    {
    }

    function LogAdd($str_table,$values,$keys)
    {
		global $globalEvents;
		$retval=true;
		$table=$str_table;
		$pSet = new ProjectSettings($str_table);
		$arr=array();
		if($globalEvents->exists("OnAuditLog"))
			$retval=$globalEvents->OnAuditLog($this->strAdd, $this->params, $table, $keys, $values, $arr);
		if($retval)
		{
			if(count($keys)>0)
			{
				$key="";
				foreach($keys as $idx=>$val)
				{
					if($key!="")
						$key.=",";
					$key.=$val;
				}
			}

			$str=format_datetime_custom(db2time(now()),"MMM dd,yyyy").chr(9).format_datetime_custom(db2time(now()),"HH:mm:ss").chr(9).$this->params[0].chr(9).$this->params[1].chr(9).$table.chr(9).$this->strAdd.chr(9).$key;
			$str_add="";
			if($this->logValueEnable($str_table))
			{
				foreach($values as $idx=>$val)
				{
					if($val!="" && !array_key_exists($idx,$keys))
					{
						$v="";
						if(IsBinaryType($pSet->getFieldType($idx)))
							$v="<binary value>"."\r\n";
						else
						{
							$v = str_replace(array("\r\n","\n","\t")," ",$val);
							$v = $this->getMaxLengthSubstr( $v );
						}
						$str_add.=$str.chr(9).$idx.chr(9).chr(9).$v."\r\n";
					}
				}
			}
			else
				$str_add.=$str."\r\n";

			$this->writeToLogFile( $str_add );
		}
		return $retval;
    }

    function LogEdit($str_table,$newvalues,$oldvalues,$keys)
    {
		global $globalEvents;
		$retval=true;
		$table=$str_table;
		$pSet = new ProjectSettings($str_table);
		if($globalEvents->exists("OnAuditLog"))
			$retval=$globalEvents->OnAuditLog($this->strEdit, $this->params, $table, $keys, $newvalues, $oldvalues);
		if($retval)
		{
			if(count($keys)>0)
			{
				$key="";
				foreach($keys as $idx=>$val)
				{
					if($key!="")
						$key.=",";
					$key.=$val;
				}
			}

			$str=format_datetime_custom(db2time(now()),"MMM dd,yyyy").chr(9).format_datetime_custom(db2time(now()),"HH:mm:ss").chr(9).$this->params[0].chr(9).$this->params[1].chr(9).$table.chr(9).$this->strEdit.chr(9).$key;
			$putsValue=true;
			$str_add="";
			if($this->logValueEnable($str_table))
			{
				foreach($newvalues as $idx=>$val)
				{
					$type=$pSet->getFieldType($idx);
					if(IsBinaryType($type))
						continue;
					if(IsDateFieldType($type))
					{
						$newvalue=format_datetime_custom(db2time($newvalues[$idx]),"yyyy-MM-dd HH:mm:ss");
						$oldvalue=format_datetime_custom(db2time($oldvalues[$idx]),"yyyy-MM-dd HH:mm:ss");
					}
					else
					{
						$newvalue=$newvalues[$idx];
						$oldvalue=$oldvalues[$idx];
					}
					if($newvalue!=$oldvalue)
					{
						$v1="";
						if(IsBinaryType($type))
							$v1="<binary value>";
						else
						{
							$v1 = str_replace(array("\r\n","\n","\t")," ",$oldvalue);
							$v = $this->getMaxLengthSubstr( $v );
						}

						$v2="";
						if(IsBinaryType($type))
							$v2="<binary value>";
						else
						{
							$v2 = str_replace(array("\r\n","\n","\t")," ",$newvalue);
							$v2 = $this->getMaxLengthSubstr( $v2 );
						}
						$str_add.=$str.chr(9).$idx.chr(9).$v1.chr(9).$v2."\r\n";
					}
				}
			}
			else
				$str_add.=$str."\r\n";
			$this->writeToLogFile( $str_add );
		}
		return $retval;
    }

    function LogDelete($str_table,$values,$keys)
    {
		global $globalEvents;
		$retval=true;
		$table=$str_table;
		$pSet = new ProjectSettings($str_table);
		$arr=array();
		if($globalEvents->exists("OnAuditLog"))
			$retval=$globalEvents->OnAuditLog($this->strDelete, $this->params, $table, $keys, $values, $arr);
		if($retval)
		{
			if(count($keys)>0)
			{
				$key="";
				foreach($keys as $idx=>$val)
				{
					if($key!="")
						$key.=",";
					$key.=$val;
				}
			}
			$str=format_datetime_custom(db2time(now()),"MMM dd,yyyy").chr(9).format_datetime_custom(db2time(now()),"HH:mm:ss").chr(9).$this->params[0].chr(9).$this->params[1].chr(9).$table.chr(9).$this->strDelete.chr(9).$key;
			$str_add="";
			if($this->logValueEnable($str_table))
			{
				foreach($values as $idx=>$val)
				{
					$v="";
					if(IsBinaryType($pSet->getFieldType($idx)))
						$v="<binary value>";
					else
					{
						$v = str_replace(array("\r\n","\n","\t")," ",$val);
						$v = $this->getMaxLengthSubstr( $v );
					}
					$str_add.=$str.chr(9).$idx.chr(9).$v."\r\n";
				}
			}
			else
				$str_add=$str."\r\n";

			$this->writeToLogFile( $str_add );
		}
		return $retval;
    }

	function writeToLogFile( $str )
	{
		$p=strrpos($this->logfile,".");
		$logfileName=runner_substr($this->logfile,0,$p);
		$logfileExt=runner_substr($this->logfile,$p+1, strlen($this->logfile)-1);
		$tn=$logfileName."_".format_datetime_custom(db2time(now()),"yyyyMMdd").".".$logfileExt;

		$fullname = getabspath($tn);
		$fsize = 0;
		if (file_exists($fullname)){
			$fsize = filesize($fullname);
		}
		$str_to_append = "";
		if( !$fsize )
		{
			$str_to_append = $this->columnDate.chr(9).$this->columnTime.chr(9).$this->columnIP.chr(9).$this->columnUser.chr(9).$this->columnTable.chr(9).$this->columnAction.chr(9).$this->columnKey.chr(9).$this->columnField.chr(9).$this->columnOldValue.chr(9).$this->columnNewValue."\r\n";
		}
		$str_to_append .= $str;
		append_to_file( $fullname, $str_to_append );

	}

	function LogAddEvent($message,$description="",$str_table="")
    {
		global $globalEvents;
		$retval=true;
		$table=$str_table;
		$arr=array();
		if($globalEvents->exists("OnAuditLog"))
			$retval=$globalEvents->OnAuditLog($message, $this->params, $table, $arr, $arr, $arr);
		if($retval)
		{
			$str=format_datetime_custom(db2time(now()),"MMM dd,yyyy").chr(9).format_datetime_custom(db2time(now()),"HH:mm:ss").chr(9).$params[0].chr(9).$params[1].chr(9).$table.chr(9).$message.chr(9).$description."\r\n";
			$this->writeToLogFile( $str );
		}
		return $retval;
    }

    function LoginAccess()
	{
		return false;
	}

	function LoginSuccessful()
    {
		return true;
    }

    function LoginUnsuccessful($pUsername)
    {
		return true;
	}

	function logValueEnable($table)
	{
		if($table=="articles")
		{
			return false;
		}
		if($table=="famille")
		{
			return false;
		}
		if($table=="fournisseur")
		{
			return false;
		}
		if($table=="unite")
		{
			return false;
		}
		if($table=="client")
		{
			return false;
		}
		if($table=="ligne_vente")
		{
			return false;
		}
		if($table=="vente")
		{
			return false;
		}
		if($table=="stocks")
		{
			return false;
		}
		if($table=="mouvement_stock")
		{
			return false;
		}
		if($table=="req")
		{
			return false;
		}
		if($table=="achat")
		{
			return false;
		}
		if($table=="utilisateur")
		{
			return false;
		}
		if($table=="groupe")
		{
			return false;
		}
		if($table=="ligne_achat")
		{
			return false;
		}
		if($table=="magasin")
		{
			return false;
		}
		if($table=="transfert")
		{
			return false;
		}
		if($table=="ligne_transfert")
		{
			return false;
		}
		if($table=="MesArticlesEnStock")
		{
			return false;
		}
		if($table=="transfert_envoye")
		{
			return false;
		}
		if($table=="transfert_recu")
		{
			return false;
		}
		if($table=="transfert_mag")
		{
			return false;
		}
		if($table=="ligne_transfert_mag")
		{
			return false;
		}
		if($table=="vue_articles")
		{
			return false;
		}
		if($table=="mon_profil")
		{
			return false;
		}
		if($table=="les_transferts")
		{
			return false;
		}
		if($table=="caisse")
		{
			return false;
		}
		if($table=="commercant")
		{
			return false;
		}
		if($table=="vue_groupe_user")
		{
			return false;
		}
		if($table=="vue_utilisateur")
		{
			return false;
		}
		if($table=="vue_magasin")
		{
			return false;
		}
		if($table=="mes_ventes")
		{
			return false;
		}
		if($table=="Rapport_Vente_Magasin")
		{
			return false;
		}
		if($table=="Rapport_Vente_Direction")
		{
			return false;
		}
		if($table=="mvt_stock")
		{
			return false;
		}
		if($table=="Rapport_VenteJour")
		{
			return false;
		}
		if($table=="vue_client")
		{
			return false;
		}
		if($table=="hisconnex")
		{
			return false;
		}
		if($table=="utilisateur_admin")
		{
			return false;
		}
		if($table=="utilisateur_concept")
		{
			return false;
		}
		if($table=="imputation")
		{
			return false;
		}
		if($table=="Rapport_stock_autre_Mag")
		{
			return false;
		}
		if($table=="Rapport_stock_All_Mag")
		{
			return false;
		}
		if($table=="articles_et_stock")
		{
			return false;
		}
		if($table=="classement_client_montant")
		{
			return false;
		}
		if($table=="codebarre")
		{
			return false;
		}
		if($table=="codebarre_mag")
		{
			return false;
		}
		if($table=="codebarre_dir")
		{
			return false;
		}
		if($table=="serveuremail")
		{
			return false;
		}
		if($table=="facture_client")
		{
			return false;
		}
		if($table=="articles_et_stock_mag")
		{
			return false;
		}
		if($table=="ligne_vente_mag")
		{
			return false;
		}
		if($table=="vente_mag")
		{
			return false;
		}
		if($table=="stock_et_prix_mag")
		{
			return false;
		}
		if($table=="stock_prix_direction")
		{
			return false;
		}
		if($table=="client_mag")
		{
			return false;
		}
		if($table=="Dash_Treso")
		{
			return false;
		}
		if($table=="test_req")
		{
			return false;
		}
		if($table=="classement_client_fact")
		{
			return false;
		}
		if($table=="facture_client_fidele")
		{
			return false;
		}
		if($table=="Dash_Classement clients")
		{
			return false;
		}
		if($table=="Dash_Classement clients_commercial")
		{
			return false;
		}
		if($table=="sousfamille")
		{
			return false;
		}
		if($table=="liste_articles_stock")
		{
			return false;
		}
		if($table=="detail_liste_articles")
		{
			return false;
		}
		if($table=="sousfamille_mag")
		{
			return false;
		}
		if($table=="entree_en_stock")
		{
			return false;
		}
		if($table=="sortie_de_stock")
		{
			return false;
		}
		if($table=="les_articles_achetes")
		{
			return false;
		}
		if($table=="les_articles_vendus")
		{
			return false;
		}
		if($table=="inventaire")
		{
			return false;
		}
		if($table=="ligne_inventaire")
		{
			return false;
		}
		if($table=="liste_inventaire")
		{
			return false;
		}
		if($table=="liste_inventaire_editee")
		{
			return false;
		}
		if($table=="validation_liste_inventaire_editee")
		{
			return false;
		}
		if($table=="validation_inventaire")
		{
			return false;
		}
		if($table=="marque")
		{
			return false;
		}
	}

	protected function getMaxLengthSubstr( $value )
	{
		if( $this->maxFieldLength && strlen($value) > $this->maxFieldLength )
			return runner_substr($value, 0, $this->maxFieldLength);

		return $value;
	}
}
?>