<?php

/**
* getLookupMainTableSettings - tests whether the lookup link exists between the tables
*
*  returns array with ProjectSettings class for main table if the link exists in project settings.
*  returns NULL otherwise
*/
function getLookupMainTableSettings($lookupTable, $mainTableShortName, $mainField, $desiredPage = "")
{
	global $lookupTableLinks;
	if(!isset($lookupTableLinks[$lookupTable]))
		return null;
	if(!isset($lookupTableLinks[$lookupTable][$mainTableShortName.".".$mainField]))
		return null;
	$arr = &$lookupTableLinks[$lookupTable][$mainTableShortName.".".$mainField];
	$effectivePage = $desiredPage;
	if(!isset($arr[$effectivePage]))
	{
		$effectivePage = PAGE_EDIT;
		if(!isset($arr[$effectivePage]))
		{
			if($desiredPage == "" && 0 < count($arr))
			{
				$effectivePage = $arr[0];
			}
			else
				return null;
		}
	}
	return new ProjectSettings($arr[$effectivePage]["table"], $effectivePage);
}

/** 
* $lookupTableLinks array stores all lookup links between tables in the project
*/
function InitLookupLinks()
{
	global $lookupTableLinks;

	$lookupTableLinks = array();

		if( !isset( $lookupTableLinks["famille"] ) ) {
			$lookupTableLinks["famille"] = array();
		}
		if( !isset( $lookupTableLinks["famille"]["articles.IDFamille"] )) {
			$lookupTableLinks["famille"]["articles.IDFamille"] = array();
		}
		$lookupTableLinks["famille"]["articles.IDFamille"]["edit"] = array("table" => "articles", "field" => "IDFamille", "page" => "edit");
		if( !isset( $lookupTableLinks["unite"] ) ) {
			$lookupTableLinks["unite"] = array();
		}
		if( !isset( $lookupTableLinks["unite"]["articles.IDUnite"] )) {
			$lookupTableLinks["unite"]["articles.IDUnite"] = array();
		}
		$lookupTableLinks["unite"]["articles.IDUnite"]["edit"] = array("table" => "articles", "field" => "IDUnite", "page" => "edit");
		if( !isset( $lookupTableLinks["commercant"] ) ) {
			$lookupTableLinks["commercant"] = array();
		}
		if( !isset( $lookupTableLinks["commercant"]["articles.IDCommercant"] )) {
			$lookupTableLinks["commercant"]["articles.IDCommercant"] = array();
		}
		$lookupTableLinks["commercant"]["articles.IDCommercant"]["edit"] = array("table" => "articles", "field" => "IDCommercant", "page" => "edit");
		if( !isset( $lookupTableLinks["magasin"] ) ) {
			$lookupTableLinks["magasin"] = array();
		}
		if( !isset( $lookupTableLinks["magasin"]["articles.IDMagasinCreation"] )) {
			$lookupTableLinks["magasin"]["articles.IDMagasinCreation"] = array();
		}
		$lookupTableLinks["magasin"]["articles.IDMagasinCreation"]["edit"] = array("table" => "articles", "field" => "IDMagasinCreation", "page" => "edit");
		if( !isset( $lookupTableLinks["vue_utilisateur"] ) ) {
			$lookupTableLinks["vue_utilisateur"] = array();
		}
		if( !isset( $lookupTableLinks["vue_utilisateur"]["articles.RespCreation"] )) {
			$lookupTableLinks["vue_utilisateur"]["articles.RespCreation"] = array();
		}
		$lookupTableLinks["vue_utilisateur"]["articles.RespCreation"]["edit"] = array("table" => "articles", "field" => "RespCreation", "page" => "edit");
		if( !isset( $lookupTableLinks["codebarre"] ) ) {
			$lookupTableLinks["codebarre"] = array();
		}
		if( !isset( $lookupTableLinks["codebarre"]["articles.IDCodebarre"] )) {
			$lookupTableLinks["codebarre"]["articles.IDCodebarre"] = array();
		}
		$lookupTableLinks["codebarre"]["articles.IDCodebarre"]["edit"] = array("table" => "articles", "field" => "IDCodebarre", "page" => "edit");
		if( !isset( $lookupTableLinks["sousfamille_mag"] ) ) {
			$lookupTableLinks["sousfamille_mag"] = array();
		}
		if( !isset( $lookupTableLinks["sousfamille_mag"]["articles.IDSousfamille"] )) {
			$lookupTableLinks["sousfamille_mag"]["articles.IDSousfamille"] = array();
		}
		$lookupTableLinks["sousfamille_mag"]["articles.IDSousfamille"]["edit"] = array("table" => "articles", "field" => "IDSousfamille", "page" => "edit");
		if( !isset( $lookupTableLinks["marque"] ) ) {
			$lookupTableLinks["marque"] = array();
		}
		if( !isset( $lookupTableLinks["marque"]["articles.IDMarque"] )) {
			$lookupTableLinks["marque"]["articles.IDMarque"] = array();
		}
		$lookupTableLinks["marque"]["articles.IDMarque"]["edit"] = array("table" => "articles", "field" => "IDMarque", "page" => "edit");
		if( !isset( $lookupTableLinks["commercant"] ) ) {
			$lookupTableLinks["commercant"] = array();
		}
		if( !isset( $lookupTableLinks["commercant"]["unite.IDCommercant"] )) {
			$lookupTableLinks["commercant"]["unite.IDCommercant"] = array();
		}
		$lookupTableLinks["commercant"]["unite.IDCommercant"]["edit"] = array("table" => "unite", "field" => "IDCommercant", "page" => "edit");
		if( !isset( $lookupTableLinks["articles_et_stock"] ) ) {
			$lookupTableLinks["articles_et_stock"] = array();
		}
		if( !isset( $lookupTableLinks["articles_et_stock"]["ligne_vente.IDArticles"] )) {
			$lookupTableLinks["articles_et_stock"]["ligne_vente.IDArticles"] = array();
		}
		$lookupTableLinks["articles_et_stock"]["ligne_vente.IDArticles"]["edit"] = array("table" => "ligne_vente", "field" => "IDArticles", "page" => "edit");
		if( !isset( $lookupTableLinks["codebarre_dir"] ) ) {
			$lookupTableLinks["codebarre_dir"] = array();
		}
		if( !isset( $lookupTableLinks["codebarre_dir"]["ligne_vente.Code_barre"] )) {
			$lookupTableLinks["codebarre_dir"]["ligne_vente.Code_barre"] = array();
		}
		$lookupTableLinks["codebarre_dir"]["ligne_vente.Code_barre"]["edit"] = array("table" => "ligne_vente", "field" => "Code_barre", "page" => "edit");
		if( !isset( $lookupTableLinks["codebarre_dir"] ) ) {
			$lookupTableLinks["codebarre_dir"] = array();
		}
		if( !isset( $lookupTableLinks["codebarre_dir"]["ligne_vente.IDCodeBarre"] )) {
			$lookupTableLinks["codebarre_dir"]["ligne_vente.IDCodeBarre"] = array();
		}
		$lookupTableLinks["codebarre_dir"]["ligne_vente.IDCodeBarre"]["edit"] = array("table" => "ligne_vente", "field" => "IDCodeBarre", "page" => "edit");
		if( !isset( $lookupTableLinks["vue_client"] ) ) {
			$lookupTableLinks["vue_client"] = array();
		}
		if( !isset( $lookupTableLinks["vue_client"]["vente.IDClient"] )) {
			$lookupTableLinks["vue_client"]["vente.IDClient"] = array();
		}
		$lookupTableLinks["vue_client"]["vente.IDClient"]["edit"] = array("table" => "vente", "field" => "IDClient", "page" => "edit");
		if( !isset( $lookupTableLinks["magasin"] ) ) {
			$lookupTableLinks["magasin"] = array();
		}
		if( !isset( $lookupTableLinks["magasin"]["vente.IDMagasin"] )) {
			$lookupTableLinks["magasin"]["vente.IDMagasin"] = array();
		}
		$lookupTableLinks["magasin"]["vente.IDMagasin"]["edit"] = array("table" => "vente", "field" => "IDMagasin", "page" => "edit");
		if( !isset( $lookupTableLinks["commercant"] ) ) {
			$lookupTableLinks["commercant"] = array();
		}
		if( !isset( $lookupTableLinks["commercant"]["vente.IDCommercant"] )) {
			$lookupTableLinks["commercant"]["vente.IDCommercant"] = array();
		}
		$lookupTableLinks["commercant"]["vente.IDCommercant"]["edit"] = array("table" => "vente", "field" => "IDCommercant", "page" => "edit");
		if( !isset( $lookupTableLinks["utilisateur"] ) ) {
			$lookupTableLinks["utilisateur"] = array();
		}
		if( !isset( $lookupTableLinks["utilisateur"]["vente.RespCreation"] )) {
			$lookupTableLinks["utilisateur"]["vente.RespCreation"] = array();
		}
		$lookupTableLinks["utilisateur"]["vente.RespCreation"]["edit"] = array("table" => "vente", "field" => "RespCreation", "page" => "edit");
		if( !isset( $lookupTableLinks["utilisateur"] ) ) {
			$lookupTableLinks["utilisateur"] = array();
		}
		if( !isset( $lookupTableLinks["utilisateur"]["vente.RespModif"] )) {
			$lookupTableLinks["utilisateur"]["vente.RespModif"] = array();
		}
		$lookupTableLinks["utilisateur"]["vente.RespModif"]["edit"] = array("table" => "vente", "field" => "RespModif", "page" => "edit");
		if( !isset( $lookupTableLinks["articles"] ) ) {
			$lookupTableLinks["articles"] = array();
		}
		if( !isset( $lookupTableLinks["articles"]["stocks.IDArticles"] )) {
			$lookupTableLinks["articles"]["stocks.IDArticles"] = array();
		}
		$lookupTableLinks["articles"]["stocks.IDArticles"]["edit"] = array("table" => "stocks", "field" => "IDArticles", "page" => "edit");
		if( !isset( $lookupTableLinks["magasin"] ) ) {
			$lookupTableLinks["magasin"] = array();
		}
		if( !isset( $lookupTableLinks["magasin"]["stocks.IDMagasin"] )) {
			$lookupTableLinks["magasin"]["stocks.IDMagasin"] = array();
		}
		$lookupTableLinks["magasin"]["stocks.IDMagasin"]["edit"] = array("table" => "stocks", "field" => "IDMagasin", "page" => "edit");
		if( !isset( $lookupTableLinks["unite"] ) ) {
			$lookupTableLinks["unite"] = array();
		}
		if( !isset( $lookupTableLinks["unite"]["stocks.IDUnite"] )) {
			$lookupTableLinks["unite"]["stocks.IDUnite"] = array();
		}
		$lookupTableLinks["unite"]["stocks.IDUnite"]["edit"] = array("table" => "stocks", "field" => "IDUnite", "page" => "edit");
		if( !isset( $lookupTableLinks["articles"] ) ) {
			$lookupTableLinks["articles"] = array();
		}
		if( !isset( $lookupTableLinks["articles"]["mouvement_stock.IDArticles"] )) {
			$lookupTableLinks["articles"]["mouvement_stock.IDArticles"] = array();
		}
		$lookupTableLinks["articles"]["mouvement_stock.IDArticles"]["edit"] = array("table" => "mouvement_stock", "field" => "IDArticles", "page" => "edit");
		if( !isset( $lookupTableLinks["magasin"] ) ) {
			$lookupTableLinks["magasin"] = array();
		}
		if( !isset( $lookupTableLinks["magasin"]["mouvement_stock.IDMagasin"] )) {
			$lookupTableLinks["magasin"]["mouvement_stock.IDMagasin"] = array();
		}
		$lookupTableLinks["magasin"]["mouvement_stock.IDMagasin"]["edit"] = array("table" => "mouvement_stock", "field" => "IDMagasin", "page" => "edit");
		if( !isset( $lookupTableLinks["articles"] ) ) {
			$lookupTableLinks["articles"] = array();
		}
		if( !isset( $lookupTableLinks["articles"]["req.IDArticles"] )) {
			$lookupTableLinks["articles"]["req.IDArticles"] = array();
		}
		$lookupTableLinks["articles"]["req.IDArticles"]["edit"] = array("table" => "req", "field" => "IDArticles", "page" => "edit");
		if( !isset( $lookupTableLinks["fournisseur"] ) ) {
			$lookupTableLinks["fournisseur"] = array();
		}
		if( !isset( $lookupTableLinks["fournisseur"]["achat.IDFournisseur"] )) {
			$lookupTableLinks["fournisseur"]["achat.IDFournisseur"] = array();
		}
		$lookupTableLinks["fournisseur"]["achat.IDFournisseur"]["edit"] = array("table" => "achat", "field" => "IDFournisseur", "page" => "edit");
		if( !isset( $lookupTableLinks["magasin"] ) ) {
			$lookupTableLinks["magasin"] = array();
		}
		if( !isset( $lookupTableLinks["magasin"]["achat.IDMagasin"] )) {
			$lookupTableLinks["magasin"]["achat.IDMagasin"] = array();
		}
		$lookupTableLinks["magasin"]["achat.IDMagasin"]["edit"] = array("table" => "achat", "field" => "IDMagasin", "page" => "edit");
		if( !isset( $lookupTableLinks["utilisateur"] ) ) {
			$lookupTableLinks["utilisateur"] = array();
		}
		if( !isset( $lookupTableLinks["utilisateur"]["achat.RespCreation"] )) {
			$lookupTableLinks["utilisateur"]["achat.RespCreation"] = array();
		}
		$lookupTableLinks["utilisateur"]["achat.RespCreation"]["edit"] = array("table" => "achat", "field" => "RespCreation", "page" => "edit");
		if( !isset( $lookupTableLinks["utilisateur"] ) ) {
			$lookupTableLinks["utilisateur"] = array();
		}
		if( !isset( $lookupTableLinks["utilisateur"]["achat.RespModif"] )) {
			$lookupTableLinks["utilisateur"]["achat.RespModif"] = array();
		}
		$lookupTableLinks["utilisateur"]["achat.RespModif"]["edit"] = array("table" => "achat", "field" => "RespModif", "page" => "edit");
		if( !isset( $lookupTableLinks["vue_groupe_user"] ) ) {
			$lookupTableLinks["vue_groupe_user"] = array();
		}
		if( !isset( $lookupTableLinks["vue_groupe_user"]["utilisateur.IDGroupe"] )) {
			$lookupTableLinks["vue_groupe_user"]["utilisateur.IDGroupe"] = array();
		}
		$lookupTableLinks["vue_groupe_user"]["utilisateur.IDGroupe"]["edit"] = array("table" => "utilisateur", "field" => "IDGroupe", "page" => "edit");
		if( !isset( $lookupTableLinks["vue_magasin"] ) ) {
			$lookupTableLinks["vue_magasin"] = array();
		}
		if( !isset( $lookupTableLinks["vue_magasin"]["utilisateur.IDMagasin"] )) {
			$lookupTableLinks["vue_magasin"]["utilisateur.IDMagasin"] = array();
		}
		$lookupTableLinks["vue_magasin"]["utilisateur.IDMagasin"]["edit"] = array("table" => "utilisateur", "field" => "IDMagasin", "page" => "edit");
		if( !isset( $lookupTableLinks["commercant"] ) ) {
			$lookupTableLinks["commercant"] = array();
		}
		if( !isset( $lookupTableLinks["commercant"]["utilisateur.IDCommercant"] )) {
			$lookupTableLinks["commercant"]["utilisateur.IDCommercant"] = array();
		}
		$lookupTableLinks["commercant"]["utilisateur.IDCommercant"]["edit"] = array("table" => "utilisateur", "field" => "IDCommercant", "page" => "edit");
		if( !isset( $lookupTableLinks["articles"] ) ) {
			$lookupTableLinks["articles"] = array();
		}
		if( !isset( $lookupTableLinks["articles"]["ligne_achat.IDArticles"] )) {
			$lookupTableLinks["articles"]["ligne_achat.IDArticles"] = array();
		}
		$lookupTableLinks["articles"]["ligne_achat.IDArticles"]["edit"] = array("table" => "ligne_achat", "field" => "IDArticles", "page" => "edit");
		if( !isset( $lookupTableLinks["codebarre_dir"] ) ) {
			$lookupTableLinks["codebarre_dir"] = array();
		}
		if( !isset( $lookupTableLinks["codebarre_dir"]["ligne_achat.IDCodeBarre"] )) {
			$lookupTableLinks["codebarre_dir"]["ligne_achat.IDCodeBarre"] = array();
		}
		$lookupTableLinks["codebarre_dir"]["ligne_achat.IDCodeBarre"]["edit"] = array("table" => "ligne_achat", "field" => "IDCodeBarre", "page" => "edit");
		if( !isset( $lookupTableLinks["commercant"] ) ) {
			$lookupTableLinks["commercant"] = array();
		}
		if( !isset( $lookupTableLinks["commercant"]["magasin.IDCommercant"] )) {
			$lookupTableLinks["commercant"]["magasin.IDCommercant"] = array();
		}
		$lookupTableLinks["commercant"]["magasin.IDCommercant"]["edit"] = array("table" => "magasin", "field" => "IDCommercant", "page" => "edit");
		if( !isset( $lookupTableLinks["magasin"] ) ) {
			$lookupTableLinks["magasin"] = array();
		}
		if( !isset( $lookupTableLinks["magasin"]["transfert.IDMagasin_O"] )) {
			$lookupTableLinks["magasin"]["transfert.IDMagasin_O"] = array();
		}
		$lookupTableLinks["magasin"]["transfert.IDMagasin_O"]["edit"] = array("table" => "transfert", "field" => "IDMagasin_O", "page" => "edit");
		if( !isset( $lookupTableLinks["magasin"] ) ) {
			$lookupTableLinks["magasin"] = array();
		}
		if( !isset( $lookupTableLinks["magasin"]["transfert.IDMagasin_D"] )) {
			$lookupTableLinks["magasin"]["transfert.IDMagasin_D"] = array();
		}
		$lookupTableLinks["magasin"]["transfert.IDMagasin_D"]["edit"] = array("table" => "transfert", "field" => "IDMagasin_D", "page" => "edit");
		if( !isset( $lookupTableLinks["utilisateur"] ) ) {
			$lookupTableLinks["utilisateur"] = array();
		}
		if( !isset( $lookupTableLinks["utilisateur"]["transfert.Resp_Transfert"] )) {
			$lookupTableLinks["utilisateur"]["transfert.Resp_Transfert"] = array();
		}
		$lookupTableLinks["utilisateur"]["transfert.Resp_Transfert"]["edit"] = array("table" => "transfert", "field" => "Resp_Transfert", "page" => "edit");
		if( !isset( $lookupTableLinks["utilisateur"] ) ) {
			$lookupTableLinks["utilisateur"] = array();
		}
		if( !isset( $lookupTableLinks["utilisateur"]["transfert.RespModif"] )) {
			$lookupTableLinks["utilisateur"]["transfert.RespModif"] = array();
		}
		$lookupTableLinks["utilisateur"]["transfert.RespModif"]["edit"] = array("table" => "transfert", "field" => "RespModif", "page" => "edit");
		if( !isset( $lookupTableLinks["articles"] ) ) {
			$lookupTableLinks["articles"] = array();
		}
		if( !isset( $lookupTableLinks["articles"]["ligne_transfert.IDArticles"] )) {
			$lookupTableLinks["articles"]["ligne_transfert.IDArticles"] = array();
		}
		$lookupTableLinks["articles"]["ligne_transfert.IDArticles"]["edit"] = array("table" => "ligne_transfert", "field" => "IDArticles", "page" => "edit");
		if( !isset( $lookupTableLinks["codebarre_dir"] ) ) {
			$lookupTableLinks["codebarre_dir"] = array();
		}
		if( !isset( $lookupTableLinks["codebarre_dir"]["ligne_transfert.Code_barre"] )) {
			$lookupTableLinks["codebarre_dir"]["ligne_transfert.Code_barre"] = array();
		}
		$lookupTableLinks["codebarre_dir"]["ligne_transfert.Code_barre"]["edit"] = array("table" => "ligne_transfert", "field" => "Code_barre", "page" => "edit");
		if( !isset( $lookupTableLinks["vue_articles"] ) ) {
			$lookupTableLinks["vue_articles"] = array();
		}
		if( !isset( $lookupTableLinks["vue_articles"]["mesarticlesenstock.IDArticles"] )) {
			$lookupTableLinks["vue_articles"]["mesarticlesenstock.IDArticles"] = array();
		}
		$lookupTableLinks["vue_articles"]["mesarticlesenstock.IDArticles"]["edit"] = array("table" => "MesArticlesEnStock", "field" => "IDArticles", "page" => "edit");
		if( !isset( $lookupTableLinks["magasin"] ) ) {
			$lookupTableLinks["magasin"] = array();
		}
		if( !isset( $lookupTableLinks["magasin"]["mesarticlesenstock.IDMagasin"] )) {
			$lookupTableLinks["magasin"]["mesarticlesenstock.IDMagasin"] = array();
		}
		$lookupTableLinks["magasin"]["mesarticlesenstock.IDMagasin"]["edit"] = array("table" => "MesArticlesEnStock", "field" => "IDMagasin", "page" => "edit");
		if( !isset( $lookupTableLinks["unite"] ) ) {
			$lookupTableLinks["unite"] = array();
		}
		if( !isset( $lookupTableLinks["unite"]["mesarticlesenstock.IDUnite"] )) {
			$lookupTableLinks["unite"]["mesarticlesenstock.IDUnite"] = array();
		}
		$lookupTableLinks["unite"]["mesarticlesenstock.IDUnite"]["edit"] = array("table" => "MesArticlesEnStock", "field" => "IDUnite", "page" => "edit");
		if( !isset( $lookupTableLinks["articles"] ) ) {
			$lookupTableLinks["articles"] = array();
		}
		if( !isset( $lookupTableLinks["articles"]["transfert_envoye.IDArticles"] )) {
			$lookupTableLinks["articles"]["transfert_envoye.IDArticles"] = array();
		}
		$lookupTableLinks["articles"]["transfert_envoye.IDArticles"]["edit"] = array("table" => "transfert_envoye", "field" => "IDArticles", "page" => "edit");
		if( !isset( $lookupTableLinks["magasin"] ) ) {
			$lookupTableLinks["magasin"] = array();
		}
		if( !isset( $lookupTableLinks["magasin"]["transfert_envoye.IDMagasin_O"] )) {
			$lookupTableLinks["magasin"]["transfert_envoye.IDMagasin_O"] = array();
		}
		$lookupTableLinks["magasin"]["transfert_envoye.IDMagasin_O"]["edit"] = array("table" => "transfert_envoye", "field" => "IDMagasin_O", "page" => "edit");
		if( !isset( $lookupTableLinks["magasin"] ) ) {
			$lookupTableLinks["magasin"] = array();
		}
		if( !isset( $lookupTableLinks["magasin"]["transfert_envoye.IDMagasin_D"] )) {
			$lookupTableLinks["magasin"]["transfert_envoye.IDMagasin_D"] = array();
		}
		$lookupTableLinks["magasin"]["transfert_envoye.IDMagasin_D"]["edit"] = array("table" => "transfert_envoye", "field" => "IDMagasin_D", "page" => "edit");
		if( !isset( $lookupTableLinks["utilisateur"] ) ) {
			$lookupTableLinks["utilisateur"] = array();
		}
		if( !isset( $lookupTableLinks["utilisateur"]["transfert_envoye.Resp_Transfert"] )) {
			$lookupTableLinks["utilisateur"]["transfert_envoye.Resp_Transfert"] = array();
		}
		$lookupTableLinks["utilisateur"]["transfert_envoye.Resp_Transfert"]["edit"] = array("table" => "transfert_envoye", "field" => "Resp_Transfert", "page" => "edit");
		if( !isset( $lookupTableLinks["articles"] ) ) {
			$lookupTableLinks["articles"] = array();
		}
		if( !isset( $lookupTableLinks["articles"]["transfert_recu.IDArticles"] )) {
			$lookupTableLinks["articles"]["transfert_recu.IDArticles"] = array();
		}
		$lookupTableLinks["articles"]["transfert_recu.IDArticles"]["edit"] = array("table" => "transfert_recu", "field" => "IDArticles", "page" => "edit");
		if( !isset( $lookupTableLinks["magasin"] ) ) {
			$lookupTableLinks["magasin"] = array();
		}
		if( !isset( $lookupTableLinks["magasin"]["transfert_recu.IDMagasin_O"] )) {
			$lookupTableLinks["magasin"]["transfert_recu.IDMagasin_O"] = array();
		}
		$lookupTableLinks["magasin"]["transfert_recu.IDMagasin_O"]["edit"] = array("table" => "transfert_recu", "field" => "IDMagasin_O", "page" => "edit");
		if( !isset( $lookupTableLinks["magasin"] ) ) {
			$lookupTableLinks["magasin"] = array();
		}
		if( !isset( $lookupTableLinks["magasin"]["transfert_recu.IDMagasin_D"] )) {
			$lookupTableLinks["magasin"]["transfert_recu.IDMagasin_D"] = array();
		}
		$lookupTableLinks["magasin"]["transfert_recu.IDMagasin_D"]["edit"] = array("table" => "transfert_recu", "field" => "IDMagasin_D", "page" => "edit");
		if( !isset( $lookupTableLinks["utilisateur"] ) ) {
			$lookupTableLinks["utilisateur"] = array();
		}
		if( !isset( $lookupTableLinks["utilisateur"]["transfert_recu.Resp_Transfert"] )) {
			$lookupTableLinks["utilisateur"]["transfert_recu.Resp_Transfert"] = array();
		}
		$lookupTableLinks["utilisateur"]["transfert_recu.Resp_Transfert"]["edit"] = array("table" => "transfert_recu", "field" => "Resp_Transfert", "page" => "edit");
		if( !isset( $lookupTableLinks["magasin"] ) ) {
			$lookupTableLinks["magasin"] = array();
		}
		if( !isset( $lookupTableLinks["magasin"]["transfert_mag.IDMagasin_O"] )) {
			$lookupTableLinks["magasin"]["transfert_mag.IDMagasin_O"] = array();
		}
		$lookupTableLinks["magasin"]["transfert_mag.IDMagasin_O"]["edit"] = array("table" => "transfert_mag", "field" => "IDMagasin_O", "page" => "edit");
		if( !isset( $lookupTableLinks["magasin"] ) ) {
			$lookupTableLinks["magasin"] = array();
		}
		if( !isset( $lookupTableLinks["magasin"]["transfert_mag.IDMagasin_D"] )) {
			$lookupTableLinks["magasin"]["transfert_mag.IDMagasin_D"] = array();
		}
		$lookupTableLinks["magasin"]["transfert_mag.IDMagasin_D"]["edit"] = array("table" => "transfert_mag", "field" => "IDMagasin_D", "page" => "edit");
		if( !isset( $lookupTableLinks["utilisateur"] ) ) {
			$lookupTableLinks["utilisateur"] = array();
		}
		if( !isset( $lookupTableLinks["utilisateur"]["transfert_mag.Resp_Transfert"] )) {
			$lookupTableLinks["utilisateur"]["transfert_mag.Resp_Transfert"] = array();
		}
		$lookupTableLinks["utilisateur"]["transfert_mag.Resp_Transfert"]["edit"] = array("table" => "transfert_mag", "field" => "Resp_Transfert", "page" => "edit");
		if( !isset( $lookupTableLinks["utilisateur"] ) ) {
			$lookupTableLinks["utilisateur"] = array();
		}
		if( !isset( $lookupTableLinks["utilisateur"]["transfert_mag.RespModif"] )) {
			$lookupTableLinks["utilisateur"]["transfert_mag.RespModif"] = array();
		}
		$lookupTableLinks["utilisateur"]["transfert_mag.RespModif"]["edit"] = array("table" => "transfert_mag", "field" => "RespModif", "page" => "edit");
		if( !isset( $lookupTableLinks["MesArticlesEnStock"] ) ) {
			$lookupTableLinks["MesArticlesEnStock"] = array();
		}
		if( !isset( $lookupTableLinks["MesArticlesEnStock"]["ligne_transfert_mag.IDArticles"] )) {
			$lookupTableLinks["MesArticlesEnStock"]["ligne_transfert_mag.IDArticles"] = array();
		}
		$lookupTableLinks["MesArticlesEnStock"]["ligne_transfert_mag.IDArticles"]["edit"] = array("table" => "ligne_transfert_mag", "field" => "IDArticles", "page" => "edit");
		if( !isset( $lookupTableLinks["codebarre_mag"] ) ) {
			$lookupTableLinks["codebarre_mag"] = array();
		}
		if( !isset( $lookupTableLinks["codebarre_mag"]["ligne_transfert_mag.Code_barre"] )) {
			$lookupTableLinks["codebarre_mag"]["ligne_transfert_mag.Code_barre"] = array();
		}
		$lookupTableLinks["codebarre_mag"]["ligne_transfert_mag.Code_barre"]["edit"] = array("table" => "ligne_transfert_mag", "field" => "Code_barre", "page" => "edit");
		if( !isset( $lookupTableLinks["famille"] ) ) {
			$lookupTableLinks["famille"] = array();
		}
		if( !isset( $lookupTableLinks["famille"]["vue_articles.IDFamille"] )) {
			$lookupTableLinks["famille"]["vue_articles.IDFamille"] = array();
		}
		$lookupTableLinks["famille"]["vue_articles.IDFamille"]["edit"] = array("table" => "vue_articles", "field" => "IDFamille", "page" => "edit");
		if( !isset( $lookupTableLinks["unite"] ) ) {
			$lookupTableLinks["unite"] = array();
		}
		if( !isset( $lookupTableLinks["unite"]["vue_articles.IDUnite"] )) {
			$lookupTableLinks["unite"]["vue_articles.IDUnite"] = array();
		}
		$lookupTableLinks["unite"]["vue_articles.IDUnite"]["edit"] = array("table" => "vue_articles", "field" => "IDUnite", "page" => "edit");
		if( !isset( $lookupTableLinks["vue_groupe_user"] ) ) {
			$lookupTableLinks["vue_groupe_user"] = array();
		}
		if( !isset( $lookupTableLinks["vue_groupe_user"]["mon_profil.IDGroupe"] )) {
			$lookupTableLinks["vue_groupe_user"]["mon_profil.IDGroupe"] = array();
		}
		$lookupTableLinks["vue_groupe_user"]["mon_profil.IDGroupe"]["edit"] = array("table" => "mon_profil", "field" => "IDGroupe", "page" => "edit");
		if( !isset( $lookupTableLinks["magasin"] ) ) {
			$lookupTableLinks["magasin"] = array();
		}
		if( !isset( $lookupTableLinks["magasin"]["mon_profil.IDMagasin"] )) {
			$lookupTableLinks["magasin"]["mon_profil.IDMagasin"] = array();
		}
		$lookupTableLinks["magasin"]["mon_profil.IDMagasin"]["edit"] = array("table" => "mon_profil", "field" => "IDMagasin", "page" => "edit");
		if( !isset( $lookupTableLinks["commercant"] ) ) {
			$lookupTableLinks["commercant"] = array();
		}
		if( !isset( $lookupTableLinks["commercant"]["mon_profil.IDCommercant"] )) {
			$lookupTableLinks["commercant"]["mon_profil.IDCommercant"] = array();
		}
		$lookupTableLinks["commercant"]["mon_profil.IDCommercant"]["edit"] = array("table" => "mon_profil", "field" => "IDCommercant", "page" => "edit");
		if( !isset( $lookupTableLinks["articles"] ) ) {
			$lookupTableLinks["articles"] = array();
		}
		if( !isset( $lookupTableLinks["articles"]["les_transferts.IDArticles"] )) {
			$lookupTableLinks["articles"]["les_transferts.IDArticles"] = array();
		}
		$lookupTableLinks["articles"]["les_transferts.IDArticles"]["edit"] = array("table" => "les_transferts", "field" => "IDArticles", "page" => "edit");
		if( !isset( $lookupTableLinks["magasin"] ) ) {
			$lookupTableLinks["magasin"] = array();
		}
		if( !isset( $lookupTableLinks["magasin"]["les_transferts.IDMagasin_O"] )) {
			$lookupTableLinks["magasin"]["les_transferts.IDMagasin_O"] = array();
		}
		$lookupTableLinks["magasin"]["les_transferts.IDMagasin_O"]["edit"] = array("table" => "les_transferts", "field" => "IDMagasin_O", "page" => "edit");
		if( !isset( $lookupTableLinks["magasin"] ) ) {
			$lookupTableLinks["magasin"] = array();
		}
		if( !isset( $lookupTableLinks["magasin"]["les_transferts.IDMagasin_D"] )) {
			$lookupTableLinks["magasin"]["les_transferts.IDMagasin_D"] = array();
		}
		$lookupTableLinks["magasin"]["les_transferts.IDMagasin_D"]["edit"] = array("table" => "les_transferts", "field" => "IDMagasin_D", "page" => "edit");
		if( !isset( $lookupTableLinks["utilisateur"] ) ) {
			$lookupTableLinks["utilisateur"] = array();
		}
		if( !isset( $lookupTableLinks["utilisateur"]["les_transferts.Resp_Transfert"] )) {
			$lookupTableLinks["utilisateur"]["les_transferts.Resp_Transfert"] = array();
		}
		$lookupTableLinks["utilisateur"]["les_transferts.Resp_Transfert"]["edit"] = array("table" => "les_transferts", "field" => "Resp_Transfert", "page" => "edit");
		if( !isset( $lookupTableLinks["magasin"] ) ) {
			$lookupTableLinks["magasin"] = array();
		}
		if( !isset( $lookupTableLinks["magasin"]["caisse.IDMagasin"] )) {
			$lookupTableLinks["magasin"]["caisse.IDMagasin"] = array();
		}
		$lookupTableLinks["magasin"]["caisse.IDMagasin"]["edit"] = array("table" => "caisse", "field" => "IDMagasin", "page" => "edit");
		if( !isset( $lookupTableLinks["commercant"] ) ) {
			$lookupTableLinks["commercant"] = array();
		}
		if( !isset( $lookupTableLinks["commercant"]["caisse.IDCommercant"] )) {
			$lookupTableLinks["commercant"]["caisse.IDCommercant"] = array();
		}
		$lookupTableLinks["commercant"]["caisse.IDCommercant"]["edit"] = array("table" => "caisse", "field" => "IDCommercant", "page" => "edit");
		if( !isset( $lookupTableLinks["utilisateur"] ) ) {
			$lookupTableLinks["utilisateur"] = array();
		}
		if( !isset( $lookupTableLinks["utilisateur"]["caisse.RespOperation"] )) {
			$lookupTableLinks["utilisateur"]["caisse.RespOperation"] = array();
		}
		$lookupTableLinks["utilisateur"]["caisse.RespOperation"]["edit"] = array("table" => "caisse", "field" => "RespOperation", "page" => "edit");
		if( !isset( $lookupTableLinks["utilisateur"] ) ) {
			$lookupTableLinks["utilisateur"] = array();
		}
		if( !isset( $lookupTableLinks["utilisateur"]["caisse.RespModif"] )) {
			$lookupTableLinks["utilisateur"]["caisse.RespModif"] = array();
		}
		$lookupTableLinks["utilisateur"]["caisse.RespModif"]["edit"] = array("table" => "caisse", "field" => "RespModif", "page" => "edit");
		if( !isset( $lookupTableLinks["vue_groupe_user"] ) ) {
			$lookupTableLinks["vue_groupe_user"] = array();
		}
		if( !isset( $lookupTableLinks["vue_groupe_user"]["vue_utilisateur.IDGroupe"] )) {
			$lookupTableLinks["vue_groupe_user"]["vue_utilisateur.IDGroupe"] = array();
		}
		$lookupTableLinks["vue_groupe_user"]["vue_utilisateur.IDGroupe"]["edit"] = array("table" => "vue_utilisateur", "field" => "IDGroupe", "page" => "edit");
		if( !isset( $lookupTableLinks["magasin"] ) ) {
			$lookupTableLinks["magasin"] = array();
		}
		if( !isset( $lookupTableLinks["magasin"]["vue_utilisateur.IDMagasin"] )) {
			$lookupTableLinks["magasin"]["vue_utilisateur.IDMagasin"] = array();
		}
		$lookupTableLinks["magasin"]["vue_utilisateur.IDMagasin"]["edit"] = array("table" => "vue_utilisateur", "field" => "IDMagasin", "page" => "edit");
		if( !isset( $lookupTableLinks["commercant"] ) ) {
			$lookupTableLinks["commercant"] = array();
		}
		if( !isset( $lookupTableLinks["commercant"]["vue_utilisateur.IDCommercant"] )) {
			$lookupTableLinks["commercant"]["vue_utilisateur.IDCommercant"] = array();
		}
		$lookupTableLinks["commercant"]["vue_utilisateur.IDCommercant"]["edit"] = array("table" => "vue_utilisateur", "field" => "IDCommercant", "page" => "edit");
		if( !isset( $lookupTableLinks["commercant"] ) ) {
			$lookupTableLinks["commercant"] = array();
		}
		if( !isset( $lookupTableLinks["commercant"]["vue_magasin.IDCommercant"] )) {
			$lookupTableLinks["commercant"]["vue_magasin.IDCommercant"] = array();
		}
		$lookupTableLinks["commercant"]["vue_magasin.IDCommercant"]["edit"] = array("table" => "vue_magasin", "field" => "IDCommercant", "page" => "edit");
		if( !isset( $lookupTableLinks["articles"] ) ) {
			$lookupTableLinks["articles"] = array();
		}
		if( !isset( $lookupTableLinks["articles"]["mes_ventes.IDArticles"] )) {
			$lookupTableLinks["articles"]["mes_ventes.IDArticles"] = array();
		}
		$lookupTableLinks["articles"]["mes_ventes.IDArticles"]["edit"] = array("table" => "mes_ventes", "field" => "IDArticles", "page" => "edit");
		if( !isset( $lookupTableLinks["client"] ) ) {
			$lookupTableLinks["client"] = array();
		}
		if( !isset( $lookupTableLinks["client"]["mes_ventes.IDClient"] )) {
			$lookupTableLinks["client"]["mes_ventes.IDClient"] = array();
		}
		$lookupTableLinks["client"]["mes_ventes.IDClient"]["edit"] = array("table" => "mes_ventes", "field" => "IDClient", "page" => "edit");
		if( !isset( $lookupTableLinks["magasin"] ) ) {
			$lookupTableLinks["magasin"] = array();
		}
		if( !isset( $lookupTableLinks["magasin"]["mes_ventes.IDMagasin"] )) {
			$lookupTableLinks["magasin"]["mes_ventes.IDMagasin"] = array();
		}
		$lookupTableLinks["magasin"]["mes_ventes.IDMagasin"]["edit"] = array("table" => "mes_ventes", "field" => "IDMagasin", "page" => "edit");
		if( !isset( $lookupTableLinks["vue_articles"] ) ) {
			$lookupTableLinks["vue_articles"] = array();
		}
		if( !isset( $lookupTableLinks["vue_articles"]["rapport_vente_magasin.IDArticles"] )) {
			$lookupTableLinks["vue_articles"]["rapport_vente_magasin.IDArticles"] = array();
		}
		$lookupTableLinks["vue_articles"]["rapport_vente_magasin.IDArticles"]["search"] = array("table" => "Rapport_Vente_Magasin", "field" => "IDArticles", "page" => "search");
		if( !isset( $lookupTableLinks["client"] ) ) {
			$lookupTableLinks["client"] = array();
		}
		if( !isset( $lookupTableLinks["client"]["rapport_vente_magasin.IDClient"] )) {
			$lookupTableLinks["client"]["rapport_vente_magasin.IDClient"] = array();
		}
		$lookupTableLinks["client"]["rapport_vente_magasin.IDClient"]["search"] = array("table" => "Rapport_Vente_Magasin", "field" => "IDClient", "page" => "search");
		if( !isset( $lookupTableLinks["famille"] ) ) {
			$lookupTableLinks["famille"] = array();
		}
		if( !isset( $lookupTableLinks["famille"]["rapport_vente_magasin.IDFamille"] )) {
			$lookupTableLinks["famille"]["rapport_vente_magasin.IDFamille"] = array();
		}
		$lookupTableLinks["famille"]["rapport_vente_magasin.IDFamille"]["search"] = array("table" => "Rapport_Vente_Magasin", "field" => "IDFamille", "page" => "search");
		if( !isset( $lookupTableLinks["sousfamille_mag"] ) ) {
			$lookupTableLinks["sousfamille_mag"] = array();
		}
		if( !isset( $lookupTableLinks["sousfamille_mag"]["rapport_vente_magasin.IDSousfamille"] )) {
			$lookupTableLinks["sousfamille_mag"]["rapport_vente_magasin.IDSousfamille"] = array();
		}
		$lookupTableLinks["sousfamille_mag"]["rapport_vente_magasin.IDSousfamille"]["search"] = array("table" => "Rapport_Vente_Magasin", "field" => "IDSousfamille", "page" => "search");
		if( !isset( $lookupTableLinks["magasin"] ) ) {
			$lookupTableLinks["magasin"] = array();
		}
		if( !isset( $lookupTableLinks["magasin"]["rapport_vente_magasin.IDMagasin"] )) {
			$lookupTableLinks["magasin"]["rapport_vente_magasin.IDMagasin"] = array();
		}
		$lookupTableLinks["magasin"]["rapport_vente_magasin.IDMagasin"]["search"] = array("table" => "Rapport_Vente_Magasin", "field" => "IDMagasin", "page" => "search");
		if( !isset( $lookupTableLinks["vue_articles"] ) ) {
			$lookupTableLinks["vue_articles"] = array();
		}
		if( !isset( $lookupTableLinks["vue_articles"]["rapport_vente_direction.IDArticles"] )) {
			$lookupTableLinks["vue_articles"]["rapport_vente_direction.IDArticles"] = array();
		}
		$lookupTableLinks["vue_articles"]["rapport_vente_direction.IDArticles"]["search"] = array("table" => "Rapport_Vente_Direction", "field" => "IDArticles", "page" => "search");
		if( !isset( $lookupTableLinks["client"] ) ) {
			$lookupTableLinks["client"] = array();
		}
		if( !isset( $lookupTableLinks["client"]["rapport_vente_direction.IDClient"] )) {
			$lookupTableLinks["client"]["rapport_vente_direction.IDClient"] = array();
		}
		$lookupTableLinks["client"]["rapport_vente_direction.IDClient"]["search"] = array("table" => "Rapport_Vente_Direction", "field" => "IDClient", "page" => "search");
		if( !isset( $lookupTableLinks["famille"] ) ) {
			$lookupTableLinks["famille"] = array();
		}
		if( !isset( $lookupTableLinks["famille"]["rapport_vente_direction.IDFamille"] )) {
			$lookupTableLinks["famille"]["rapport_vente_direction.IDFamille"] = array();
		}
		$lookupTableLinks["famille"]["rapport_vente_direction.IDFamille"]["search"] = array("table" => "Rapport_Vente_Direction", "field" => "IDFamille", "page" => "search");
		if( !isset( $lookupTableLinks["sousfamille_mag"] ) ) {
			$lookupTableLinks["sousfamille_mag"] = array();
		}
		if( !isset( $lookupTableLinks["sousfamille_mag"]["rapport_vente_direction.IDSousfamille"] )) {
			$lookupTableLinks["sousfamille_mag"]["rapport_vente_direction.IDSousfamille"] = array();
		}
		$lookupTableLinks["sousfamille_mag"]["rapport_vente_direction.IDSousfamille"]["search"] = array("table" => "Rapport_Vente_Direction", "field" => "IDSousfamille", "page" => "search");
		if( !isset( $lookupTableLinks["magasin"] ) ) {
			$lookupTableLinks["magasin"] = array();
		}
		if( !isset( $lookupTableLinks["magasin"]["rapport_vente_direction.IDMagasin"] )) {
			$lookupTableLinks["magasin"]["rapport_vente_direction.IDMagasin"] = array();
		}
		$lookupTableLinks["magasin"]["rapport_vente_direction.IDMagasin"]["search"] = array("table" => "Rapport_Vente_Direction", "field" => "IDMagasin", "page" => "search");
		if( !isset( $lookupTableLinks["articles"] ) ) {
			$lookupTableLinks["articles"] = array();
		}
		if( !isset( $lookupTableLinks["articles"]["mvt_stock.IDArticles"] )) {
			$lookupTableLinks["articles"]["mvt_stock.IDArticles"] = array();
		}
		$lookupTableLinks["articles"]["mvt_stock.IDArticles"]["edit"] = array("table" => "mvt_stock", "field" => "IDArticles", "page" => "edit");
		if( !isset( $lookupTableLinks["magasin"] ) ) {
			$lookupTableLinks["magasin"] = array();
		}
		if( !isset( $lookupTableLinks["magasin"]["mvt_stock.IDMagasin"] )) {
			$lookupTableLinks["magasin"]["mvt_stock.IDMagasin"] = array();
		}
		$lookupTableLinks["magasin"]["mvt_stock.IDMagasin"]["edit"] = array("table" => "mvt_stock", "field" => "IDMagasin", "page" => "edit");
		if( !isset( $lookupTableLinks["vue_articles"] ) ) {
			$lookupTableLinks["vue_articles"] = array();
		}
		if( !isset( $lookupTableLinks["vue_articles"]["rapport_ventejour.IDArticles"] )) {
			$lookupTableLinks["vue_articles"]["rapport_ventejour.IDArticles"] = array();
		}
		$lookupTableLinks["vue_articles"]["rapport_ventejour.IDArticles"]["search"] = array("table" => "Rapport_VenteJour", "field" => "IDArticles", "page" => "search");
		if( !isset( $lookupTableLinks["client"] ) ) {
			$lookupTableLinks["client"] = array();
		}
		if( !isset( $lookupTableLinks["client"]["rapport_ventejour.IDClient"] )) {
			$lookupTableLinks["client"]["rapport_ventejour.IDClient"] = array();
		}
		$lookupTableLinks["client"]["rapport_ventejour.IDClient"]["search"] = array("table" => "Rapport_VenteJour", "field" => "IDClient", "page" => "search");
		if( !isset( $lookupTableLinks["magasin"] ) ) {
			$lookupTableLinks["magasin"] = array();
		}
		if( !isset( $lookupTableLinks["magasin"]["rapport_ventejour.IDMagasin"] )) {
			$lookupTableLinks["magasin"]["rapport_ventejour.IDMagasin"] = array();
		}
		$lookupTableLinks["magasin"]["rapport_ventejour.IDMagasin"]["search"] = array("table" => "Rapport_VenteJour", "field" => "IDMagasin", "page" => "search");
		if( !isset( $lookupTableLinks["sousfamille"] ) ) {
			$lookupTableLinks["sousfamille"] = array();
		}
		if( !isset( $lookupTableLinks["sousfamille"]["rapport_ventejour.IDSousfamille"] )) {
			$lookupTableLinks["sousfamille"]["rapport_ventejour.IDSousfamille"] = array();
		}
		$lookupTableLinks["sousfamille"]["rapport_ventejour.IDSousfamille"]["search"] = array("table" => "Rapport_VenteJour", "field" => "IDSousfamille", "page" => "search");
		if( !isset( $lookupTableLinks["famille"] ) ) {
			$lookupTableLinks["famille"] = array();
		}
		if( !isset( $lookupTableLinks["famille"]["rapport_ventejour.IDFamille"] )) {
			$lookupTableLinks["famille"]["rapport_ventejour.IDFamille"] = array();
		}
		$lookupTableLinks["famille"]["rapport_ventejour.IDFamille"]["search"] = array("table" => "Rapport_VenteJour", "field" => "IDFamille", "page" => "search");
		if( !isset( $lookupTableLinks["utilisateur"] ) ) {
			$lookupTableLinks["utilisateur"] = array();
		}
		if( !isset( $lookupTableLinks["utilisateur"]["hisconnex1.IDUtilisateur"] )) {
			$lookupTableLinks["utilisateur"]["hisconnex1.IDUtilisateur"] = array();
		}
		$lookupTableLinks["utilisateur"]["hisconnex1.IDUtilisateur"]["edit"] = array("table" => "hisconnex", "field" => "IDUtilisateur", "page" => "edit");
		if( !isset( $lookupTableLinks["vue_groupe_user"] ) ) {
			$lookupTableLinks["vue_groupe_user"] = array();
		}
		if( !isset( $lookupTableLinks["vue_groupe_user"]["utilisateur_admin.IDGroupe"] )) {
			$lookupTableLinks["vue_groupe_user"]["utilisateur_admin.IDGroupe"] = array();
		}
		$lookupTableLinks["vue_groupe_user"]["utilisateur_admin.IDGroupe"]["edit"] = array("table" => "utilisateur_admin", "field" => "IDGroupe", "page" => "edit");
		if( !isset( $lookupTableLinks["vue_magasin"] ) ) {
			$lookupTableLinks["vue_magasin"] = array();
		}
		if( !isset( $lookupTableLinks["vue_magasin"]["utilisateur_admin.IDMagasin"] )) {
			$lookupTableLinks["vue_magasin"]["utilisateur_admin.IDMagasin"] = array();
		}
		$lookupTableLinks["vue_magasin"]["utilisateur_admin.IDMagasin"]["edit"] = array("table" => "utilisateur_admin", "field" => "IDMagasin", "page" => "edit");
		if( !isset( $lookupTableLinks["commercant"] ) ) {
			$lookupTableLinks["commercant"] = array();
		}
		if( !isset( $lookupTableLinks["commercant"]["utilisateur_admin.IDCommercant"] )) {
			$lookupTableLinks["commercant"]["utilisateur_admin.IDCommercant"] = array();
		}
		$lookupTableLinks["commercant"]["utilisateur_admin.IDCommercant"]["edit"] = array("table" => "utilisateur_admin", "field" => "IDCommercant", "page" => "edit");
		if( !isset( $lookupTableLinks["vue_groupe_user"] ) ) {
			$lookupTableLinks["vue_groupe_user"] = array();
		}
		if( !isset( $lookupTableLinks["vue_groupe_user"]["utilisateur_concept.IDGroupe"] )) {
			$lookupTableLinks["vue_groupe_user"]["utilisateur_concept.IDGroupe"] = array();
		}
		$lookupTableLinks["vue_groupe_user"]["utilisateur_concept.IDGroupe"]["edit"] = array("table" => "utilisateur_concept", "field" => "IDGroupe", "page" => "edit");
		if( !isset( $lookupTableLinks["vue_magasin"] ) ) {
			$lookupTableLinks["vue_magasin"] = array();
		}
		if( !isset( $lookupTableLinks["vue_magasin"]["utilisateur_concept.IDMagasin"] )) {
			$lookupTableLinks["vue_magasin"]["utilisateur_concept.IDMagasin"] = array();
		}
		$lookupTableLinks["vue_magasin"]["utilisateur_concept.IDMagasin"]["edit"] = array("table" => "utilisateur_concept", "field" => "IDMagasin", "page" => "edit");
		if( !isset( $lookupTableLinks["commercant"] ) ) {
			$lookupTableLinks["commercant"] = array();
		}
		if( !isset( $lookupTableLinks["commercant"]["utilisateur_concept.IDCommercant"] )) {
			$lookupTableLinks["commercant"]["utilisateur_concept.IDCommercant"] = array();
		}
		$lookupTableLinks["commercant"]["utilisateur_concept.IDCommercant"]["edit"] = array("table" => "utilisateur_concept", "field" => "IDCommercant", "page" => "edit");
		if( !isset( $lookupTableLinks["vue_articles"] ) ) {
			$lookupTableLinks["vue_articles"] = array();
		}
		if( !isset( $lookupTableLinks["vue_articles"]["rapport_stock_autre_mag.IDArticles"] )) {
			$lookupTableLinks["vue_articles"]["rapport_stock_autre_mag.IDArticles"] = array();
		}
		$lookupTableLinks["vue_articles"]["rapport_stock_autre_mag.IDArticles"]["search"] = array("table" => "Rapport_stock_autre_Mag", "field" => "IDArticles", "page" => "search");
		if( !isset( $lookupTableLinks["magasin"] ) ) {
			$lookupTableLinks["magasin"] = array();
		}
		if( !isset( $lookupTableLinks["magasin"]["rapport_stock_autre_mag.IDMagasin"] )) {
			$lookupTableLinks["magasin"]["rapport_stock_autre_mag.IDMagasin"] = array();
		}
		$lookupTableLinks["magasin"]["rapport_stock_autre_mag.IDMagasin"]["search"] = array("table" => "Rapport_stock_autre_Mag", "field" => "IDMagasin", "page" => "search");
		if( !isset( $lookupTableLinks["unite"] ) ) {
			$lookupTableLinks["unite"] = array();
		}
		if( !isset( $lookupTableLinks["unite"]["rapport_stock_autre_mag.IDUnite"] )) {
			$lookupTableLinks["unite"]["rapport_stock_autre_mag.IDUnite"] = array();
		}
		$lookupTableLinks["unite"]["rapport_stock_autre_mag.IDUnite"]["search"] = array("table" => "Rapport_stock_autre_Mag", "field" => "IDUnite", "page" => "search");
		if( !isset( $lookupTableLinks["articles"] ) ) {
			$lookupTableLinks["articles"] = array();
		}
		if( !isset( $lookupTableLinks["articles"]["rapport_stock_all_mag.IDArticles"] )) {
			$lookupTableLinks["articles"]["rapport_stock_all_mag.IDArticles"] = array();
		}
		$lookupTableLinks["articles"]["rapport_stock_all_mag.IDArticles"]["search"] = array("table" => "Rapport_stock_All_Mag", "field" => "IDArticles", "page" => "search");
		if( !isset( $lookupTableLinks["magasin"] ) ) {
			$lookupTableLinks["magasin"] = array();
		}
		if( !isset( $lookupTableLinks["magasin"]["rapport_stock_all_mag.IDMagasin"] )) {
			$lookupTableLinks["magasin"]["rapport_stock_all_mag.IDMagasin"] = array();
		}
		$lookupTableLinks["magasin"]["rapport_stock_all_mag.IDMagasin"]["search"] = array("table" => "Rapport_stock_All_Mag", "field" => "IDMagasin", "page" => "search");
		if( !isset( $lookupTableLinks["unite"] ) ) {
			$lookupTableLinks["unite"] = array();
		}
		if( !isset( $lookupTableLinks["unite"]["rapport_stock_all_mag.IDUnite"] )) {
			$lookupTableLinks["unite"]["rapport_stock_all_mag.IDUnite"] = array();
		}
		$lookupTableLinks["unite"]["rapport_stock_all_mag.IDUnite"]["search"] = array("table" => "Rapport_stock_All_Mag", "field" => "IDUnite", "page" => "search");
		if( !isset( $lookupTableLinks["commercant"] ) ) {
			$lookupTableLinks["commercant"] = array();
		}
		if( !isset( $lookupTableLinks["commercant"]["articles_et_stock.IDCommercant"] )) {
			$lookupTableLinks["commercant"]["articles_et_stock.IDCommercant"] = array();
		}
		$lookupTableLinks["commercant"]["articles_et_stock.IDCommercant"]["edit"] = array("table" => "articles_et_stock", "field" => "IDCommercant", "page" => "edit");
		if( !isset( $lookupTableLinks["magasin"] ) ) {
			$lookupTableLinks["magasin"] = array();
		}
		if( !isset( $lookupTableLinks["magasin"]["articles_et_stock.IDMagasinCreation"] )) {
			$lookupTableLinks["magasin"]["articles_et_stock.IDMagasinCreation"] = array();
		}
		$lookupTableLinks["magasin"]["articles_et_stock.IDMagasinCreation"]["edit"] = array("table" => "articles_et_stock", "field" => "IDMagasinCreation", "page" => "edit");
		if( !isset( $lookupTableLinks["vue_utilisateur"] ) ) {
			$lookupTableLinks["vue_utilisateur"] = array();
		}
		if( !isset( $lookupTableLinks["vue_utilisateur"]["articles_et_stock.RespCreation"] )) {
			$lookupTableLinks["vue_utilisateur"]["articles_et_stock.RespCreation"] = array();
		}
		$lookupTableLinks["vue_utilisateur"]["articles_et_stock.RespCreation"]["edit"] = array("table" => "articles_et_stock", "field" => "RespCreation", "page" => "edit");
		if( !isset( $lookupTableLinks["codebarre"] ) ) {
			$lookupTableLinks["codebarre"] = array();
		}
		if( !isset( $lookupTableLinks["codebarre"]["articles_et_stock.IDCodebarre"] )) {
			$lookupTableLinks["codebarre"]["articles_et_stock.IDCodebarre"] = array();
		}
		$lookupTableLinks["codebarre"]["articles_et_stock.IDCodebarre"]["edit"] = array("table" => "articles_et_stock", "field" => "IDCodebarre", "page" => "edit");
		if( !isset( $lookupTableLinks["client"] ) ) {
			$lookupTableLinks["client"] = array();
		}
		if( !isset( $lookupTableLinks["client"]["classement_client_montant.IDClient"] )) {
			$lookupTableLinks["client"]["classement_client_montant.IDClient"] = array();
		}
		$lookupTableLinks["client"]["classement_client_montant.IDClient"]["edit"] = array("table" => "classement_client_montant", "field" => "IDClient", "page" => "edit");
		if( !isset( $lookupTableLinks["magasin"] ) ) {
			$lookupTableLinks["magasin"] = array();
		}
		if( !isset( $lookupTableLinks["magasin"]["classement_client_montant.IDMagasin"] )) {
			$lookupTableLinks["magasin"]["classement_client_montant.IDMagasin"] = array();
		}
		$lookupTableLinks["magasin"]["classement_client_montant.IDMagasin"]["edit"] = array("table" => "classement_client_montant", "field" => "IDMagasin", "page" => "edit");
		if( !isset( $lookupTableLinks["client"] ) ) {
			$lookupTableLinks["client"] = array();
		}
		if( !isset( $lookupTableLinks["client"]["facture_client.IDClient"] )) {
			$lookupTableLinks["client"]["facture_client.IDClient"] = array();
		}
		$lookupTableLinks["client"]["facture_client.IDClient"]["edit"] = array("table" => "facture_client", "field" => "IDClient", "page" => "edit");
		if( !isset( $lookupTableLinks["magasin"] ) ) {
			$lookupTableLinks["magasin"] = array();
		}
		if( !isset( $lookupTableLinks["magasin"]["facture_client.IDMagasin"] )) {
			$lookupTableLinks["magasin"]["facture_client.IDMagasin"] = array();
		}
		$lookupTableLinks["magasin"]["facture_client.IDMagasin"]["edit"] = array("table" => "facture_client", "field" => "IDMagasin", "page" => "edit");
		if( !isset( $lookupTableLinks["commercant"] ) ) {
			$lookupTableLinks["commercant"] = array();
		}
		if( !isset( $lookupTableLinks["commercant"]["facture_client.IDCommercant"] )) {
			$lookupTableLinks["commercant"]["facture_client.IDCommercant"] = array();
		}
		$lookupTableLinks["commercant"]["facture_client.IDCommercant"]["edit"] = array("table" => "facture_client", "field" => "IDCommercant", "page" => "edit");
		if( !isset( $lookupTableLinks["utilisateur"] ) ) {
			$lookupTableLinks["utilisateur"] = array();
		}
		if( !isset( $lookupTableLinks["utilisateur"]["facture_client.RespCreation"] )) {
			$lookupTableLinks["utilisateur"]["facture_client.RespCreation"] = array();
		}
		$lookupTableLinks["utilisateur"]["facture_client.RespCreation"]["edit"] = array("table" => "facture_client", "field" => "RespCreation", "page" => "edit");
		if( !isset( $lookupTableLinks["utilisateur"] ) ) {
			$lookupTableLinks["utilisateur"] = array();
		}
		if( !isset( $lookupTableLinks["utilisateur"]["facture_client.RespModif"] )) {
			$lookupTableLinks["utilisateur"]["facture_client.RespModif"] = array();
		}
		$lookupTableLinks["utilisateur"]["facture_client.RespModif"]["edit"] = array("table" => "facture_client", "field" => "RespModif", "page" => "edit");
		if( !isset( $lookupTableLinks["commercant"] ) ) {
			$lookupTableLinks["commercant"] = array();
		}
		if( !isset( $lookupTableLinks["commercant"]["articles_et_stock_mag.IDCommercant"] )) {
			$lookupTableLinks["commercant"]["articles_et_stock_mag.IDCommercant"] = array();
		}
		$lookupTableLinks["commercant"]["articles_et_stock_mag.IDCommercant"]["edit"] = array("table" => "articles_et_stock_mag", "field" => "IDCommercant", "page" => "edit");
		if( !isset( $lookupTableLinks["magasin"] ) ) {
			$lookupTableLinks["magasin"] = array();
		}
		if( !isset( $lookupTableLinks["magasin"]["articles_et_stock_mag.IDMagasinCreation"] )) {
			$lookupTableLinks["magasin"]["articles_et_stock_mag.IDMagasinCreation"] = array();
		}
		$lookupTableLinks["magasin"]["articles_et_stock_mag.IDMagasinCreation"]["edit"] = array("table" => "articles_et_stock_mag", "field" => "IDMagasinCreation", "page" => "edit");
		if( !isset( $lookupTableLinks["vue_utilisateur"] ) ) {
			$lookupTableLinks["vue_utilisateur"] = array();
		}
		if( !isset( $lookupTableLinks["vue_utilisateur"]["articles_et_stock_mag.RespCreation"] )) {
			$lookupTableLinks["vue_utilisateur"]["articles_et_stock_mag.RespCreation"] = array();
		}
		$lookupTableLinks["vue_utilisateur"]["articles_et_stock_mag.RespCreation"]["edit"] = array("table" => "articles_et_stock_mag", "field" => "RespCreation", "page" => "edit");
		if( !isset( $lookupTableLinks["codebarre"] ) ) {
			$lookupTableLinks["codebarre"] = array();
		}
		if( !isset( $lookupTableLinks["codebarre"]["articles_et_stock_mag.IDCodebarre"] )) {
			$lookupTableLinks["codebarre"]["articles_et_stock_mag.IDCodebarre"] = array();
		}
		$lookupTableLinks["codebarre"]["articles_et_stock_mag.IDCodebarre"]["edit"] = array("table" => "articles_et_stock_mag", "field" => "IDCodebarre", "page" => "edit");
		if( !isset( $lookupTableLinks["articles_et_stock_mag"] ) ) {
			$lookupTableLinks["articles_et_stock_mag"] = array();
		}
		if( !isset( $lookupTableLinks["articles_et_stock_mag"]["ligne_vente_mag.IDArticles"] )) {
			$lookupTableLinks["articles_et_stock_mag"]["ligne_vente_mag.IDArticles"] = array();
		}
		$lookupTableLinks["articles_et_stock_mag"]["ligne_vente_mag.IDArticles"]["edit"] = array("table" => "ligne_vente_mag", "field" => "IDArticles", "page" => "edit");
		if( !isset( $lookupTableLinks["codebarre_mag"] ) ) {
			$lookupTableLinks["codebarre_mag"] = array();
		}
		if( !isset( $lookupTableLinks["codebarre_mag"]["ligne_vente_mag.IDCodeBarre"] )) {
			$lookupTableLinks["codebarre_mag"]["ligne_vente_mag.IDCodeBarre"] = array();
		}
		$lookupTableLinks["codebarre_mag"]["ligne_vente_mag.IDCodeBarre"]["edit"] = array("table" => "ligne_vente_mag", "field" => "IDCodeBarre", "page" => "edit");
		if( !isset( $lookupTableLinks["client_mag"] ) ) {
			$lookupTableLinks["client_mag"] = array();
		}
		if( !isset( $lookupTableLinks["client_mag"]["vente_mag.IDClient"] )) {
			$lookupTableLinks["client_mag"]["vente_mag.IDClient"] = array();
		}
		$lookupTableLinks["client_mag"]["vente_mag.IDClient"]["edit"] = array("table" => "vente_mag", "field" => "IDClient", "page" => "edit");
		if( !isset( $lookupTableLinks["magasin"] ) ) {
			$lookupTableLinks["magasin"] = array();
		}
		if( !isset( $lookupTableLinks["magasin"]["vente_mag.IDMagasin"] )) {
			$lookupTableLinks["magasin"]["vente_mag.IDMagasin"] = array();
		}
		$lookupTableLinks["magasin"]["vente_mag.IDMagasin"]["edit"] = array("table" => "vente_mag", "field" => "IDMagasin", "page" => "edit");
		if( !isset( $lookupTableLinks["commercant"] ) ) {
			$lookupTableLinks["commercant"] = array();
		}
		if( !isset( $lookupTableLinks["commercant"]["vente_mag.IDCommercant"] )) {
			$lookupTableLinks["commercant"]["vente_mag.IDCommercant"] = array();
		}
		$lookupTableLinks["commercant"]["vente_mag.IDCommercant"]["edit"] = array("table" => "vente_mag", "field" => "IDCommercant", "page" => "edit");
		if( !isset( $lookupTableLinks["utilisateur"] ) ) {
			$lookupTableLinks["utilisateur"] = array();
		}
		if( !isset( $lookupTableLinks["utilisateur"]["vente_mag.RespCreation"] )) {
			$lookupTableLinks["utilisateur"]["vente_mag.RespCreation"] = array();
		}
		$lookupTableLinks["utilisateur"]["vente_mag.RespCreation"]["edit"] = array("table" => "vente_mag", "field" => "RespCreation", "page" => "edit");
		if( !isset( $lookupTableLinks["utilisateur"] ) ) {
			$lookupTableLinks["utilisateur"] = array();
		}
		if( !isset( $lookupTableLinks["utilisateur"]["vente_mag.RespModif"] )) {
			$lookupTableLinks["utilisateur"]["vente_mag.RespModif"] = array();
		}
		$lookupTableLinks["utilisateur"]["vente_mag.RespModif"]["edit"] = array("table" => "vente_mag", "field" => "RespModif", "page" => "edit");
		if( !isset( $lookupTableLinks["commercant"] ) ) {
			$lookupTableLinks["commercant"] = array();
		}
		if( !isset( $lookupTableLinks["commercant"]["stock_et_prix_mag.IDCommercant"] )) {
			$lookupTableLinks["commercant"]["stock_et_prix_mag.IDCommercant"] = array();
		}
		$lookupTableLinks["commercant"]["stock_et_prix_mag.IDCommercant"]["edit"] = array("table" => "stock_et_prix_mag", "field" => "IDCommercant", "page" => "edit");
		if( !isset( $lookupTableLinks["magasin"] ) ) {
			$lookupTableLinks["magasin"] = array();
		}
		if( !isset( $lookupTableLinks["magasin"]["stock_prix_direction.IDMagasin"] )) {
			$lookupTableLinks["magasin"]["stock_prix_direction.IDMagasin"] = array();
		}
		$lookupTableLinks["magasin"]["stock_prix_direction.IDMagasin"]["edit"] = array("table" => "stock_prix_direction", "field" => "IDMagasin", "page" => "edit");
		if( !isset( $lookupTableLinks["commercant"] ) ) {
			$lookupTableLinks["commercant"] = array();
		}
		if( !isset( $lookupTableLinks["commercant"]["stock_prix_direction.IDCommercant"] )) {
			$lookupTableLinks["commercant"]["stock_prix_direction.IDCommercant"] = array();
		}
		$lookupTableLinks["commercant"]["stock_prix_direction.IDCommercant"]["edit"] = array("table" => "stock_prix_direction", "field" => "IDCommercant", "page" => "edit");
		if( !isset( $lookupTableLinks["client"] ) ) {
			$lookupTableLinks["client"] = array();
		}
		if( !isset( $lookupTableLinks["client"]["classement_client_fact.IDClient"] )) {
			$lookupTableLinks["client"]["classement_client_fact.IDClient"] = array();
		}
		$lookupTableLinks["client"]["classement_client_fact.IDClient"]["edit"] = array("table" => "classement_client_fact", "field" => "IDClient", "page" => "edit");
		if( !isset( $lookupTableLinks["magasin"] ) ) {
			$lookupTableLinks["magasin"] = array();
		}
		if( !isset( $lookupTableLinks["magasin"]["classement_client_fact.IDMagasin"] )) {
			$lookupTableLinks["magasin"]["classement_client_fact.IDMagasin"] = array();
		}
		$lookupTableLinks["magasin"]["classement_client_fact.IDMagasin"]["edit"] = array("table" => "classement_client_fact", "field" => "IDMagasin", "page" => "edit");
		if( !isset( $lookupTableLinks["client"] ) ) {
			$lookupTableLinks["client"] = array();
		}
		if( !isset( $lookupTableLinks["client"]["facture_client_fidele.IDClient"] )) {
			$lookupTableLinks["client"]["facture_client_fidele.IDClient"] = array();
		}
		$lookupTableLinks["client"]["facture_client_fidele.IDClient"]["edit"] = array("table" => "facture_client_fidele", "field" => "IDClient", "page" => "edit");
		if( !isset( $lookupTableLinks["magasin"] ) ) {
			$lookupTableLinks["magasin"] = array();
		}
		if( !isset( $lookupTableLinks["magasin"]["facture_client_fidele.IDMagasin"] )) {
			$lookupTableLinks["magasin"]["facture_client_fidele.IDMagasin"] = array();
		}
		$lookupTableLinks["magasin"]["facture_client_fidele.IDMagasin"]["edit"] = array("table" => "facture_client_fidele", "field" => "IDMagasin", "page" => "edit");
		if( !isset( $lookupTableLinks["commercant"] ) ) {
			$lookupTableLinks["commercant"] = array();
		}
		if( !isset( $lookupTableLinks["commercant"]["facture_client_fidele.IDCommercant"] )) {
			$lookupTableLinks["commercant"]["facture_client_fidele.IDCommercant"] = array();
		}
		$lookupTableLinks["commercant"]["facture_client_fidele.IDCommercant"]["edit"] = array("table" => "facture_client_fidele", "field" => "IDCommercant", "page" => "edit");
		if( !isset( $lookupTableLinks["utilisateur"] ) ) {
			$lookupTableLinks["utilisateur"] = array();
		}
		if( !isset( $lookupTableLinks["utilisateur"]["facture_client_fidele.RespCreation"] )) {
			$lookupTableLinks["utilisateur"]["facture_client_fidele.RespCreation"] = array();
		}
		$lookupTableLinks["utilisateur"]["facture_client_fidele.RespCreation"]["edit"] = array("table" => "facture_client_fidele", "field" => "RespCreation", "page" => "edit");
		if( !isset( $lookupTableLinks["utilisateur"] ) ) {
			$lookupTableLinks["utilisateur"] = array();
		}
		if( !isset( $lookupTableLinks["utilisateur"]["facture_client_fidele.RespModif"] )) {
			$lookupTableLinks["utilisateur"]["facture_client_fidele.RespModif"] = array();
		}
		$lookupTableLinks["utilisateur"]["facture_client_fidele.RespModif"]["edit"] = array("table" => "facture_client_fidele", "field" => "RespModif", "page" => "edit");
		if( !isset( $lookupTableLinks["famille"] ) ) {
			$lookupTableLinks["famille"] = array();
		}
		if( !isset( $lookupTableLinks["famille"]["sousfamille.IDFamille"] )) {
			$lookupTableLinks["famille"]["sousfamille.IDFamille"] = array();
		}
		$lookupTableLinks["famille"]["sousfamille.IDFamille"]["edit"] = array("table" => "sousfamille", "field" => "IDFamille", "page" => "edit");
		if( !isset( $lookupTableLinks["articles"] ) ) {
			$lookupTableLinks["articles"] = array();
		}
		if( !isset( $lookupTableLinks["articles"]["liste_articles_stock.IDArticles"] )) {
			$lookupTableLinks["articles"]["liste_articles_stock.IDArticles"] = array();
		}
		$lookupTableLinks["articles"]["liste_articles_stock.IDArticles"]["edit"] = array("table" => "liste_articles_stock", "field" => "IDArticles", "page" => "edit");
		if( !isset( $lookupTableLinks["commercant"] ) ) {
			$lookupTableLinks["commercant"] = array();
		}
		if( !isset( $lookupTableLinks["commercant"]["liste_articles_stock.IDCommercant"] )) {
			$lookupTableLinks["commercant"]["liste_articles_stock.IDCommercant"] = array();
		}
		$lookupTableLinks["commercant"]["liste_articles_stock.IDCommercant"]["edit"] = array("table" => "liste_articles_stock", "field" => "IDCommercant", "page" => "edit");
		if( !isset( $lookupTableLinks["sousfamille"] ) ) {
			$lookupTableLinks["sousfamille"] = array();
		}
		if( !isset( $lookupTableLinks["sousfamille"]["liste_articles_stock.IDSousfamille"] )) {
			$lookupTableLinks["sousfamille"]["liste_articles_stock.IDSousfamille"] = array();
		}
		$lookupTableLinks["sousfamille"]["liste_articles_stock.IDSousfamille"]["edit"] = array("table" => "liste_articles_stock", "field" => "IDSousfamille", "page" => "edit");
		if( !isset( $lookupTableLinks["magasin"] ) ) {
			$lookupTableLinks["magasin"] = array();
		}
		if( !isset( $lookupTableLinks["magasin"]["liste_articles_stock.IDMagasin"] )) {
			$lookupTableLinks["magasin"]["liste_articles_stock.IDMagasin"] = array();
		}
		$lookupTableLinks["magasin"]["liste_articles_stock.IDMagasin"]["edit"] = array("table" => "liste_articles_stock", "field" => "IDMagasin", "page" => "edit");
		if( !isset( $lookupTableLinks["famille"] ) ) {
			$lookupTableLinks["famille"] = array();
		}
		if( !isset( $lookupTableLinks["famille"]["detail_liste_articles.IDFamille"] )) {
			$lookupTableLinks["famille"]["detail_liste_articles.IDFamille"] = array();
		}
		$lookupTableLinks["famille"]["detail_liste_articles.IDFamille"]["edit"] = array("table" => "detail_liste_articles", "field" => "IDFamille", "page" => "edit");
		if( !isset( $lookupTableLinks["unite"] ) ) {
			$lookupTableLinks["unite"] = array();
		}
		if( !isset( $lookupTableLinks["unite"]["detail_liste_articles.IDUnite"] )) {
			$lookupTableLinks["unite"]["detail_liste_articles.IDUnite"] = array();
		}
		$lookupTableLinks["unite"]["detail_liste_articles.IDUnite"]["edit"] = array("table" => "detail_liste_articles", "field" => "IDUnite", "page" => "edit");
		if( !isset( $lookupTableLinks["commercant"] ) ) {
			$lookupTableLinks["commercant"] = array();
		}
		if( !isset( $lookupTableLinks["commercant"]["detail_liste_articles.IDCommercant"] )) {
			$lookupTableLinks["commercant"]["detail_liste_articles.IDCommercant"] = array();
		}
		$lookupTableLinks["commercant"]["detail_liste_articles.IDCommercant"]["edit"] = array("table" => "detail_liste_articles", "field" => "IDCommercant", "page" => "edit");
		if( !isset( $lookupTableLinks["magasin"] ) ) {
			$lookupTableLinks["magasin"] = array();
		}
		if( !isset( $lookupTableLinks["magasin"]["detail_liste_articles.IDMagasinCreation"] )) {
			$lookupTableLinks["magasin"]["detail_liste_articles.IDMagasinCreation"] = array();
		}
		$lookupTableLinks["magasin"]["detail_liste_articles.IDMagasinCreation"]["edit"] = array("table" => "detail_liste_articles", "field" => "IDMagasinCreation", "page" => "edit");
		if( !isset( $lookupTableLinks["vue_utilisateur"] ) ) {
			$lookupTableLinks["vue_utilisateur"] = array();
		}
		if( !isset( $lookupTableLinks["vue_utilisateur"]["detail_liste_articles.RespCreation"] )) {
			$lookupTableLinks["vue_utilisateur"]["detail_liste_articles.RespCreation"] = array();
		}
		$lookupTableLinks["vue_utilisateur"]["detail_liste_articles.RespCreation"]["edit"] = array("table" => "detail_liste_articles", "field" => "RespCreation", "page" => "edit");
		if( !isset( $lookupTableLinks["codebarre"] ) ) {
			$lookupTableLinks["codebarre"] = array();
		}
		if( !isset( $lookupTableLinks["codebarre"]["detail_liste_articles.IDCodebarre"] )) {
			$lookupTableLinks["codebarre"]["detail_liste_articles.IDCodebarre"] = array();
		}
		$lookupTableLinks["codebarre"]["detail_liste_articles.IDCodebarre"]["edit"] = array("table" => "detail_liste_articles", "field" => "IDCodebarre", "page" => "edit");
		if( !isset( $lookupTableLinks["sousfamille"] ) ) {
			$lookupTableLinks["sousfamille"] = array();
		}
		if( !isset( $lookupTableLinks["sousfamille"]["detail_liste_articles.IDSousfamille"] )) {
			$lookupTableLinks["sousfamille"]["detail_liste_articles.IDSousfamille"] = array();
		}
		$lookupTableLinks["sousfamille"]["detail_liste_articles.IDSousfamille"]["edit"] = array("table" => "detail_liste_articles", "field" => "IDSousfamille", "page" => "edit");
		if( !isset( $lookupTableLinks["magasin"] ) ) {
			$lookupTableLinks["magasin"] = array();
		}
		if( !isset( $lookupTableLinks["magasin"]["detail_liste_articles.IDMagasin"] )) {
			$lookupTableLinks["magasin"]["detail_liste_articles.IDMagasin"] = array();
		}
		$lookupTableLinks["magasin"]["detail_liste_articles.IDMagasin"]["edit"] = array("table" => "detail_liste_articles", "field" => "IDMagasin", "page" => "edit");
		if( !isset( $lookupTableLinks["famille"] ) ) {
			$lookupTableLinks["famille"] = array();
		}
		if( !isset( $lookupTableLinks["famille"]["sousfamille_mag.IDFamille"] )) {
			$lookupTableLinks["famille"]["sousfamille_mag.IDFamille"] = array();
		}
		$lookupTableLinks["famille"]["sousfamille_mag.IDFamille"]["edit"] = array("table" => "sousfamille_mag", "field" => "IDFamille", "page" => "edit");
		if( !isset( $lookupTableLinks["articles_et_stock"] ) ) {
			$lookupTableLinks["articles_et_stock"] = array();
		}
		if( !isset( $lookupTableLinks["articles_et_stock"]["entree_en_stock.IDArticles"] )) {
			$lookupTableLinks["articles_et_stock"]["entree_en_stock.IDArticles"] = array();
		}
		$lookupTableLinks["articles_et_stock"]["entree_en_stock.IDArticles"]["edit"] = array("table" => "entree_en_stock", "field" => "IDArticles", "page" => "edit");
		if( !isset( $lookupTableLinks["magasin"] ) ) {
			$lookupTableLinks["magasin"] = array();
		}
		if( !isset( $lookupTableLinks["magasin"]["entree_en_stock.IDMagasin"] )) {
			$lookupTableLinks["magasin"]["entree_en_stock.IDMagasin"] = array();
		}
		$lookupTableLinks["magasin"]["entree_en_stock.IDMagasin"]["edit"] = array("table" => "entree_en_stock", "field" => "IDMagasin", "page" => "edit");
		if( !isset( $lookupTableLinks["utilisateur"] ) ) {
			$lookupTableLinks["utilisateur"] = array();
		}
		if( !isset( $lookupTableLinks["utilisateur"]["entree_en_stock.RespSaisie"] )) {
			$lookupTableLinks["utilisateur"]["entree_en_stock.RespSaisie"] = array();
		}
		$lookupTableLinks["utilisateur"]["entree_en_stock.RespSaisie"]["edit"] = array("table" => "entree_en_stock", "field" => "RespSaisie", "page" => "edit");
		if( !isset( $lookupTableLinks["utilisateur"] ) ) {
			$lookupTableLinks["utilisateur"] = array();
		}
		if( !isset( $lookupTableLinks["utilisateur"]["entree_en_stock.RespModif"] )) {
			$lookupTableLinks["utilisateur"]["entree_en_stock.RespModif"] = array();
		}
		$lookupTableLinks["utilisateur"]["entree_en_stock.RespModif"]["edit"] = array("table" => "entree_en_stock", "field" => "RespModif", "page" => "edit");
		if( !isset( $lookupTableLinks["articles_et_stock"] ) ) {
			$lookupTableLinks["articles_et_stock"] = array();
		}
		if( !isset( $lookupTableLinks["articles_et_stock"]["sortie_de_stock.IDArticles"] )) {
			$lookupTableLinks["articles_et_stock"]["sortie_de_stock.IDArticles"] = array();
		}
		$lookupTableLinks["articles_et_stock"]["sortie_de_stock.IDArticles"]["edit"] = array("table" => "sortie_de_stock", "field" => "IDArticles", "page" => "edit");
		if( !isset( $lookupTableLinks["magasin"] ) ) {
			$lookupTableLinks["magasin"] = array();
		}
		if( !isset( $lookupTableLinks["magasin"]["sortie_de_stock.IDMagasin"] )) {
			$lookupTableLinks["magasin"]["sortie_de_stock.IDMagasin"] = array();
		}
		$lookupTableLinks["magasin"]["sortie_de_stock.IDMagasin"]["edit"] = array("table" => "sortie_de_stock", "field" => "IDMagasin", "page" => "edit");
		if( !isset( $lookupTableLinks["utilisateur"] ) ) {
			$lookupTableLinks["utilisateur"] = array();
		}
		if( !isset( $lookupTableLinks["utilisateur"]["sortie_de_stock.RespSaisie"] )) {
			$lookupTableLinks["utilisateur"]["sortie_de_stock.RespSaisie"] = array();
		}
		$lookupTableLinks["utilisateur"]["sortie_de_stock.RespSaisie"]["edit"] = array("table" => "sortie_de_stock", "field" => "RespSaisie", "page" => "edit");
		if( !isset( $lookupTableLinks["utilisateur"] ) ) {
			$lookupTableLinks["utilisateur"] = array();
		}
		if( !isset( $lookupTableLinks["utilisateur"]["sortie_de_stock.RespModif"] )) {
			$lookupTableLinks["utilisateur"]["sortie_de_stock.RespModif"] = array();
		}
		$lookupTableLinks["utilisateur"]["sortie_de_stock.RespModif"]["edit"] = array("table" => "sortie_de_stock", "field" => "RespModif", "page" => "edit");
		if( !isset( $lookupTableLinks["articles"] ) ) {
			$lookupTableLinks["articles"] = array();
		}
		if( !isset( $lookupTableLinks["articles"]["les_articles_achetes.IDArticles"] )) {
			$lookupTableLinks["articles"]["les_articles_achetes.IDArticles"] = array();
		}
		$lookupTableLinks["articles"]["les_articles_achetes.IDArticles"]["edit"] = array("table" => "les_articles_achetes", "field" => "IDArticles", "page" => "edit");
		if( !isset( $lookupTableLinks["fournisseur"] ) ) {
			$lookupTableLinks["fournisseur"] = array();
		}
		if( !isset( $lookupTableLinks["fournisseur"]["les_articles_achetes.IDFournisseur"] )) {
			$lookupTableLinks["fournisseur"]["les_articles_achetes.IDFournisseur"] = array();
		}
		$lookupTableLinks["fournisseur"]["les_articles_achetes.IDFournisseur"]["edit"] = array("table" => "les_articles_achetes", "field" => "IDFournisseur", "page" => "edit");
		if( !isset( $lookupTableLinks["articles_et_stock"] ) ) {
			$lookupTableLinks["articles_et_stock"] = array();
		}
		if( !isset( $lookupTableLinks["articles_et_stock"]["les_articles_vendus.IDArticles"] )) {
			$lookupTableLinks["articles_et_stock"]["les_articles_vendus.IDArticles"] = array();
		}
		$lookupTableLinks["articles_et_stock"]["les_articles_vendus.IDArticles"]["edit"] = array("table" => "les_articles_vendus", "field" => "IDArticles", "page" => "edit");
		if( !isset( $lookupTableLinks["magasin"] ) ) {
			$lookupTableLinks["magasin"] = array();
		}
		if( !isset( $lookupTableLinks["magasin"]["les_articles_vendus.IDMagasin"] )) {
			$lookupTableLinks["magasin"]["les_articles_vendus.IDMagasin"] = array();
		}
		$lookupTableLinks["magasin"]["les_articles_vendus.IDMagasin"]["edit"] = array("table" => "les_articles_vendus", "field" => "IDMagasin", "page" => "edit");
		if( !isset( $lookupTableLinks["client"] ) ) {
			$lookupTableLinks["client"] = array();
		}
		if( !isset( $lookupTableLinks["client"]["les_articles_vendus.IDClient"] )) {
			$lookupTableLinks["client"]["les_articles_vendus.IDClient"] = array();
		}
		$lookupTableLinks["client"]["les_articles_vendus.IDClient"]["edit"] = array("table" => "les_articles_vendus", "field" => "IDClient", "page" => "edit");
		if( !isset( $lookupTableLinks["vue_utilisateur"] ) ) {
			$lookupTableLinks["vue_utilisateur"] = array();
		}
		if( !isset( $lookupTableLinks["vue_utilisateur"]["les_articles_vendus.RespCreation"] )) {
			$lookupTableLinks["vue_utilisateur"]["les_articles_vendus.RespCreation"] = array();
		}
		$lookupTableLinks["vue_utilisateur"]["les_articles_vendus.RespCreation"]["edit"] = array("table" => "les_articles_vendus", "field" => "RespCreation", "page" => "edit");
		if( !isset( $lookupTableLinks["magasin"] ) ) {
			$lookupTableLinks["magasin"] = array();
		}
		if( !isset( $lookupTableLinks["magasin"]["inventaire.IDMagasin"] )) {
			$lookupTableLinks["magasin"]["inventaire.IDMagasin"] = array();
		}
		$lookupTableLinks["magasin"]["inventaire.IDMagasin"]["edit"] = array("table" => "inventaire", "field" => "IDMagasin", "page" => "edit");
		if( !isset( $lookupTableLinks["articles"] ) ) {
			$lookupTableLinks["articles"] = array();
		}
		if( !isset( $lookupTableLinks["articles"]["ligne_inventaire.IDarticles"] )) {
			$lookupTableLinks["articles"]["ligne_inventaire.IDarticles"] = array();
		}
		$lookupTableLinks["articles"]["ligne_inventaire.IDarticles"]["edit"] = array("table" => "ligne_inventaire", "field" => "IDarticles", "page" => "edit");
		if( !isset( $lookupTableLinks["magasin"] ) ) {
			$lookupTableLinks["magasin"] = array();
		}
		if( !isset( $lookupTableLinks["magasin"]["ligne_inventaire.IDMagasin"] )) {
			$lookupTableLinks["magasin"]["ligne_inventaire.IDMagasin"] = array();
		}
		$lookupTableLinks["magasin"]["ligne_inventaire.IDMagasin"]["edit"] = array("table" => "ligne_inventaire", "field" => "IDMagasin", "page" => "edit");
		if( !isset( $lookupTableLinks["inventaire"] ) ) {
			$lookupTableLinks["inventaire"] = array();
		}
		if( !isset( $lookupTableLinks["inventaire"]["ligne_inventaire.IDInventaire"] )) {
			$lookupTableLinks["inventaire"]["ligne_inventaire.IDInventaire"] = array();
		}
		$lookupTableLinks["inventaire"]["ligne_inventaire.IDInventaire"]["edit"] = array("table" => "ligne_inventaire", "field" => "IDInventaire", "page" => "edit");
		if( !isset( $lookupTableLinks["unite"] ) ) {
			$lookupTableLinks["unite"] = array();
		}
		if( !isset( $lookupTableLinks["unite"]["ligne_inventaire.IDUnite"] )) {
			$lookupTableLinks["unite"]["ligne_inventaire.IDUnite"] = array();
		}
		$lookupTableLinks["unite"]["ligne_inventaire.IDUnite"]["edit"] = array("table" => "ligne_inventaire", "field" => "IDUnite", "page" => "edit");
		if( !isset( $lookupTableLinks["magasin"] ) ) {
			$lookupTableLinks["magasin"] = array();
		}
		if( !isset( $lookupTableLinks["magasin"]["liste_inventaire.IDMagasin"] )) {
			$lookupTableLinks["magasin"]["liste_inventaire.IDMagasin"] = array();
		}
		$lookupTableLinks["magasin"]["liste_inventaire.IDMagasin"]["edit"] = array("table" => "liste_inventaire", "field" => "IDMagasin", "page" => "edit");
		if( !isset( $lookupTableLinks["utilisateur"] ) ) {
			$lookupTableLinks["utilisateur"] = array();
		}
		if( !isset( $lookupTableLinks["utilisateur"]["liste_inventaire.RespCreation"] )) {
			$lookupTableLinks["utilisateur"]["liste_inventaire.RespCreation"] = array();
		}
		$lookupTableLinks["utilisateur"]["liste_inventaire.RespCreation"]["edit"] = array("table" => "liste_inventaire", "field" => "RespCreation", "page" => "edit");
		if( !isset( $lookupTableLinks["articles"] ) ) {
			$lookupTableLinks["articles"] = array();
		}
		if( !isset( $lookupTableLinks["articles"]["liste_inventaire_editee.IDarticles"] )) {
			$lookupTableLinks["articles"]["liste_inventaire_editee.IDarticles"] = array();
		}
		$lookupTableLinks["articles"]["liste_inventaire_editee.IDarticles"]["edit"] = array("table" => "liste_inventaire_editee", "field" => "IDarticles", "page" => "edit");
		if( !isset( $lookupTableLinks["magasin"] ) ) {
			$lookupTableLinks["magasin"] = array();
		}
		if( !isset( $lookupTableLinks["magasin"]["liste_inventaire_editee.IDMagasin"] )) {
			$lookupTableLinks["magasin"]["liste_inventaire_editee.IDMagasin"] = array();
		}
		$lookupTableLinks["magasin"]["liste_inventaire_editee.IDMagasin"]["edit"] = array("table" => "liste_inventaire_editee", "field" => "IDMagasin", "page" => "edit");
		if( !isset( $lookupTableLinks["inventaire"] ) ) {
			$lookupTableLinks["inventaire"] = array();
		}
		if( !isset( $lookupTableLinks["inventaire"]["liste_inventaire_editee.IDInventaire"] )) {
			$lookupTableLinks["inventaire"]["liste_inventaire_editee.IDInventaire"] = array();
		}
		$lookupTableLinks["inventaire"]["liste_inventaire_editee.IDInventaire"]["edit"] = array("table" => "liste_inventaire_editee", "field" => "IDInventaire", "page" => "edit");
		if( !isset( $lookupTableLinks["unite"] ) ) {
			$lookupTableLinks["unite"] = array();
		}
		if( !isset( $lookupTableLinks["unite"]["liste_inventaire_editee.IDUnite"] )) {
			$lookupTableLinks["unite"]["liste_inventaire_editee.IDUnite"] = array();
		}
		$lookupTableLinks["unite"]["liste_inventaire_editee.IDUnite"]["edit"] = array("table" => "liste_inventaire_editee", "field" => "IDUnite", "page" => "edit");
		if( !isset( $lookupTableLinks["articles"] ) ) {
			$lookupTableLinks["articles"] = array();
		}
		if( !isset( $lookupTableLinks["articles"]["validation_liste_inventaire_editee.IDarticles"] )) {
			$lookupTableLinks["articles"]["validation_liste_inventaire_editee.IDarticles"] = array();
		}
		$lookupTableLinks["articles"]["validation_liste_inventaire_editee.IDarticles"]["edit"] = array("table" => "validation_liste_inventaire_editee", "field" => "IDarticles", "page" => "edit");
		if( !isset( $lookupTableLinks["magasin"] ) ) {
			$lookupTableLinks["magasin"] = array();
		}
		if( !isset( $lookupTableLinks["magasin"]["validation_liste_inventaire_editee.IDMagasin"] )) {
			$lookupTableLinks["magasin"]["validation_liste_inventaire_editee.IDMagasin"] = array();
		}
		$lookupTableLinks["magasin"]["validation_liste_inventaire_editee.IDMagasin"]["edit"] = array("table" => "validation_liste_inventaire_editee", "field" => "IDMagasin", "page" => "edit");
		if( !isset( $lookupTableLinks["inventaire"] ) ) {
			$lookupTableLinks["inventaire"] = array();
		}
		if( !isset( $lookupTableLinks["inventaire"]["validation_liste_inventaire_editee.IDInventaire"] )) {
			$lookupTableLinks["inventaire"]["validation_liste_inventaire_editee.IDInventaire"] = array();
		}
		$lookupTableLinks["inventaire"]["validation_liste_inventaire_editee.IDInventaire"]["edit"] = array("table" => "validation_liste_inventaire_editee", "field" => "IDInventaire", "page" => "edit");
		if( !isset( $lookupTableLinks["unite"] ) ) {
			$lookupTableLinks["unite"] = array();
		}
		if( !isset( $lookupTableLinks["unite"]["validation_liste_inventaire_editee.IDUnite"] )) {
			$lookupTableLinks["unite"]["validation_liste_inventaire_editee.IDUnite"] = array();
		}
		$lookupTableLinks["unite"]["validation_liste_inventaire_editee.IDUnite"]["edit"] = array("table" => "validation_liste_inventaire_editee", "field" => "IDUnite", "page" => "edit");
		if( !isset( $lookupTableLinks["inventaire"] ) ) {
			$lookupTableLinks["inventaire"] = array();
		}
		if( !isset( $lookupTableLinks["inventaire"]["validation_inventaire.DateInventaire"] )) {
			$lookupTableLinks["inventaire"]["validation_inventaire.DateInventaire"] = array();
		}
		$lookupTableLinks["inventaire"]["validation_inventaire.DateInventaire"]["edit"] = array("table" => "validation_inventaire", "field" => "DateInventaire", "page" => "edit");
		if( !isset( $lookupTableLinks["inventaire"] ) ) {
			$lookupTableLinks["inventaire"] = array();
		}
		if( !isset( $lookupTableLinks["inventaire"]["validation_inventaire.IDInventaire"] )) {
			$lookupTableLinks["inventaire"]["validation_inventaire.IDInventaire"] = array();
		}
		$lookupTableLinks["inventaire"]["validation_inventaire.IDInventaire"]["edit"] = array("table" => "validation_inventaire", "field" => "IDInventaire", "page" => "edit");
}

?>